<?php

namespace backend\models;

//use Yii;
/**
 * This is the model class for table "{{%volunteer_apply}}".
 *
 * @property integer $id
 * @property integer $uid
 * @property integer $createtime
 */
class VolunteerApply extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%volunteer_apply}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id', 'uid', 'createtime'], 'required'],
            [['id', 'uid', 'createtime', 'money'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '序号',
            'uid' => '用户ID',
            'createtime' => '创建时间',
        ];
    }

    /**
     * 查询志愿者申请
     * @param $uid
     * @return array|VolunteerApply[]|\yii\db\ActiveRecord[]
     */
    public function findById($uid)
    {
        return self::find()->where(['uid' => $uid])->asArray()->all();
    }
}
