<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

/**
 * @var array $config
 */

use common\models\GameGoods;

$goodsList = GameGoods::find()->where(['type' => GameGoods::PROP_TYPE, 'status' => GameGoods::ACTIVE])->asArray()->all()
?>
<div class="box box-success">
    <div class="box-header with-border">
        金宝箱
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">奖品</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <?php for ($i = 1; $i <= 3; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">奖品<?= $i ?></span>
                        <select name="config[gold][award][<?= $i ?>][goods_id]" class="form-control" title=""
                                style="min-width: 100px;">
                            <option value="">请选择</option>
                            <?php foreach ($goodsList as $goods): ?>
                                <option
                                    value="<?= $goods['id'] ?>" <?= (@$config['gold']['award'][$i]['goods_id'] == $goods['id']) ? 'selected' : ''; ?>><?= $goods['title'] ?></option>
                            <?php endforeach; ?>
                        </select>

                        <span class="input-group-addon">概率</span>
                        <input name="config[gold][award][<?= $i ?>][v]"
                               value="<?= @$config['gold']['award'][$i]['v'] ?>" class="form-control"
                               placeholder="请输入整数">
                        <span class="input-group-addon">%</span>

                        <span class="input-group-addon">数量</span>
                        <input name="config[gold][award][<?= $i ?>][num]"
                               value="<?= @$config['gold']['award'][$i]['num'] ?>" class="form-control"
                               placeholder="请输入数量" style="min-width: 100px;max-width: 200px">
                    </div>
                <?php endfor; ?>
                <div class="help-block">概率各自独立，可能为空奖</div>
            </div>
        </div>
    </div>
</div>

<div class="box box-success">
    <div class="box-header with-border">
        银宝箱
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">奖品</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <?php for ($i = 1; $i <= 3; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">奖品<?= $i ?></span>
                        <select name="config[silver][award][<?= $i ?>][goods_id]" class="form-control" title=""
                                style="min-width: 100px;">
                            <option value="">请选择</option>
                            <?php foreach ($goodsList as $goods): ?>
                                <option
                                    value="<?= $goods['id'] ?>" <?= (@$config['silver']['award'][$i]['goods_id'] == $goods['id']) ? 'selected' : ''; ?>><?= $goods['title'] ?></option>
                            <?php endforeach; ?>
                        </select>

                        <span class="input-group-addon">概率</span>
                        <input name="config[silver][award][<?= $i ?>][v]"
                               value="<?= @$config['silver']['award'][$i]['v'] ?>" class="form-control"
                               placeholder="请输入整数">
                        <span class="input-group-addon">%</span>

                        <span class="input-group-addon">数量</span>
                        <input name="config[silver][award][<?= $i ?>][num]"
                               value="<?= @$config['silver']['award'][$i]['num'] ?>" class="form-control"
                               placeholder="请输入数量" style="min-width: 100px;max-width: 200px">
                    </div>
                <?php endfor; ?>
                <div class="help-block">概率各自独立，可能为空奖</div>
            </div>
        </div>
    </div>
</div>
