<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

use common\models\GameGoods;

$food = GameGoods::find()->where(['id' => GameGoods::DOG_FOODS_ID, 'status' => GameGoods::ACTIVE])->all();
/**
 * @var array $config
 */
?>

<div class="box box-success">
    <div class="box-header with-border">
        狗粮增加技能时效
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <div class="col-xs-12">
                <?php foreach ($food as $k => $val): ?>
                    <div class="input-group">
                        <span class="input-group-addon"><?= $val->title ?></span>
                        <span class="input-group-addon">自动施肥+</span>
                        <input name="config[food][<?= $val->id ?>][effect][]"
                               value="<?= @$config['food'][$val->id]['effect'][0] ?>" class="form-control"
                               placeholder="请输入天数">
                        <span class="input-group-addon">自动收获+</span>
                        <input name="config[food][<?= $val->id ?>][effect][]"
                               value="<?= @$config['food'][$val->id]['effect'][1] ?>" class="form-control"
                               placeholder="请输入天数">
                        <span class="input-group-addon">自动除草+</span>
                        <input name="config[food][<?= $val->id ?>][effect][]"
                               value="<?= @$config['food'][$val->id]['effect'][2] ?>" class="form-control"
                               placeholder="请输入天数">
                        <span class="input-group-addon">自动除虫+</span>
                        <input name="config[food][<?= $val->id ?>][effect][]"
                               value="<?= @$config['food'][$val->id]['effect'][3] ?>" class="form-control"
                               placeholder="请输入天数">
                        <span class="input-group-addon">自动浇水+</span>
                        <input name="config[food][<?= $val->id ?>][effect][]"
                               value="<?= @$config['food'][$val->id]['effect'][4] ?>" class="form-control"
                               placeholder="请输入天数">
                    </div>
                <?php endforeach; ?>
                <div class="help-block">单位为一天，空表示不增加失效，最大不能超过70</div>
            </div>
        </div>
    </div>
</div>
