<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/11/25
 * Time: 14:27
 */
/** @var array $searchArr
 * @var string $url
 */
use common\widgets\daterangepicker\DateRangePicker;
use yii\bootstrap\Html;
use yii\helpers\Url;

?>
<div class="box box-success">
    <div class="box-header with-border">
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
        </div>
    </div>
    <div class="box-body">
        <?= Html::beginForm([$url], 'get', ['class' => 'form-horizontal']) ?>
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "用户id、昵称、姓名、手机号"]); ?>
                <div class="help-block">请输入关键字</div>
            </div>
        </div>
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= DateRangePicker::widget([
                    'name' => 'date',
                    'clientOptions' => [
                        'startDate' => $searchArr['date']['start'],
                        'endDate' => $searchArr['date']['end'],

                    ],
                    'clientEvents' => [],
                ]) ?>
            </div>
        </div>
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
            <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                <a href="<?= Url::toRoute([$url]) ?>">
                    <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                </a>
                <!--                        < ?= Html::submitButton('导出会员列表', ['class' => 'btn btn-primary pull-right','name'=>'op', 'value'=>'export']); ?>-->
            </div>
        </div>
        <?= Html::endForm() ?>
    </div>
</div>
