<?php
/**
 * Created by PhpStorm.
 * User: XingBin
 * Date: 2017/9/11
 * Time: 16:49
 */
use backend\widgets\MyActiveForm;
use yii\bootstrap\Html;
use common\widgets\kindeditor\KindeditorWidget;

?>
<div class="nav-tabs-custom">
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($model, 'title')->textInput(['placeholder' => '选项标题', 'value' => $item['title']])->label('标题'); ?>
                <?php $model->info = $item['info']; ?>
                <?= $form->field($model, 'info')->label('内容')->widget(KindEditorWidget::className(), [
                    'clientOptions' => [
                        'width' => '100%',
                        'height' => '500px',
                        'themeType' => 'simple',
                    ],

                ]);
                ?>

                <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                <div class="col-xs-12 col-sm-5">
                    <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                </div>
            </div>
            <?php MyActiveForm::end(); ?>
        </div>
    </div>
</div>
</div>
