<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use common\widgets\kindeditor\KindeditorWidget;
use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'nickname')->textInput(['placeholder' => '请输入QQ客服昵称']); ?>
                <?= $form->field($item, 'qq')->textInput(['placeholder' => '请输入QQ号']); ?>
                <?= $form->field($item, 'status')->radioList([1 => '显示', 9 => '隐藏'], ['item' => [MyHtml::class, 'radioListItem']])->label('是否显示');; ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

