<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;
?>
<div class="nav-tabs-custom">
    <div class="tab-content">
           <div class="row-fluid table">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                
                                <th class="span2">
                                    <span class="line"></span>股东ID
                                </th>
                                <th class="span2">
                                    <span class="line"></span>股东姓名
                                </th>
                                <th class="span2">
                                    <span class="line"></span>性别
                                </th>

                                <th class="span2">
                                    <span class="line"></span>职务
                                </th>

                                <th class="span3">
                                    <span class="line"></span>股东电话
                                </th>
                                <th class="span3">
                                    <span class="line"></span>报单价格
                                </th>
                                <th class="span2">
                                    <span class="line"></span>身份证号
                                </th>
                                <th class="span2">
                                    <span class="line"></span>银行卡号
                                </th>
                                <th class="span2">
                                    <span class="line"></span>开户行地址
                                </th>

                                <th class="span2">
                                    <span class="line"></span>添加时间
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach($sholdernums as $k => $sholdernum): ?>


                        <!-- row -->
                        <tr class="first">
                            <td>
                                <?php echo $sholdernum->uid; ?>
                            </td>

                            <td>
                                <?php echo $sholdernum->realname; ?>
                                
                            </td>
                            <td>
                                <?php 
                                    if($sholdernum->gender==1){
                                        echo "男";
                                    }else if($sholdernum->gender==2){
                                        echo "女";
                                    }else{
                                        echo "保密";
                                    }
                                 ?>
                                
                            </td>

                            <td>
                                <?php echo \common\models\User::LV[$sholdernum->lv]; ?>
                                
                            </td>

                            <td>
                                <?php
                                if($sholdernum->mobile){
                                    echo $sholdernum->mobile; 
                                }else{
                                    echo "未添加";
                                }
                                 

                                 ?>
                                
                            </td>
                            <td >
                               <?php echo $sholdernum->report_price; ?>
                                
                            </td>
                            <td >
                               <?php echo $sholdernum->idcard; ?>
                            </td>
                            <td >
                               <?php
                                if($sholdernum->bank_card){
                                    echo $sholdernum->bank_card; 
                                }else{
                                    echo "未添加";
                                }
                                ?>
                            </td>
                            <td>
                               <?php echo $sholdernum->bank_address; ?>
                            </td>

                             <td >
                                <?php echo date("Y-m-d H:i:s",$sholdernum->createtime); ?>
                                
                            </td>
                           
                            
                        </tr>
                        <!-- row -->
                       <?php endforeach; ?>

                        </tbody>
                    </table>
                    <?php
                    if(Yii::$app->session->getFlash("info")){
                        echo Yii::$app->session->getFlash("info");
                    }
                    ?>
                </div>
                <div class="pagination pull-right">
                <?php echo yii\widgets\LinkPager::widget(['pagination'=>$pager,"prevPageLabel"=>"&#8249;","nextPageLabel"=>"&#8250;"]);?>
                   
                </div>
    </div>
</div>


