<?php
/**
 * 前端会员添加编辑
 * @author 河南鼎汉软件科技
 */

/**
 * @var $model common\models\User
 */
use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Html;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <?php $form = MyActiveForm::begin(); ?>
            <?= $form->field($model, 'uid')->textInput(['placeholder' => '请输入会员UID']); ?>
            <?= $form->field($model, 'bank')->textInput(['placeholder' => '请输入银行卡', 'maxlength' => 11]); ?>
            <?= $form->field($model, 'card_name')->textInput(['placeholder' => '请输入预留姓名']); ?>
            <?= $form->field($model, 'card_num')->textInput(['placeholder' => '请输入银行卡号']); ?>
            <?= $form->field($model, 'card_type')->radioList([1 => '储蓄卡', 2 => '信用卡'], ['item' => [MyHtml::class, 'radioListItem']]); ?>
            <?= $form->field($model, 'province')->textInput(['placeholder' => '请输入开户省行']); ?>
            <?= $form->field($model, 'city')->textInput(['placeholder' => '请输入开户市行']); ?>
            <?= $form->field($model, 'county')->textInput(['placeholder' => '请输入开户支行']); ?>
            <?= $form->field($model, 'reserved_mobile')->textInput(['placeholder' => '请输入预留手机号', 'maxlength' => 11]); ?>
            <div class="form-group">
                <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                <div class="col-xs-12 col-sm-5">
                    <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                </div>
            </div>
            <?php MyActiveForm::end(); ?>
        </div>
    </div>
</div>
