<?php
/**
 * 前端会员添加编辑
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * @createtime: 2017/8/17 18:42
 */

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Html;
use common\models\User;
use common\models\ShopGoods;
use yii\helpers\Url;
use backend\models\SystemUser;
/**
 * @var $model common\models\User
 */
?>
<style>
    #express{}
</style>
<div class="nav-tabs-custom">
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                    <div class="panel panel-default">
                        <!-- Default panel contents -->
                        <div class="panel-heading">报单详情</div>
<!--                        <form>-->
                            <div class="form-group">
                                <label for="exampleInputEmail1">上级</label>
                                <input type="email" class="form-control" id="examplegoodsname" placeholder="上级" value="<?php
                                $luser=User::find()->where("uid=:uid", [':uid' =>  $report["report_uid"]])->one();
                                echo $luser['accountname'];
                                ?>" readonly>
                            </div>
                             <div class="form-group">
                                <label for="exampleInputEmail1">商品名</label>
                                <input type="email" class="form-control" id="examplegoodsname" placeholder="商品名" value="<?php
                                $goods=ShopGoods::find()->where("id=:id", [':id' =>  $report["goods_id"]])->one();
                                echo $goods['title'];
                                ?>" readonly>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">操作员</label>
                                <input type="email" class="form-control" id="examplegoodsname" placeholder="商品名" value="<?php
                                if($report["operateid"]==-1){
                                    echo "用户确定";
                                }else{
                                     $SystemUser=SystemUser::find()->where("id=:operateid", [':operateid' =>  $report["operateid"]])->one();
                                echo $SystemUser['username'];
                                }
                               
                                ?>" readonly>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">收货人:</label>
                                <input type="text" class="form-control" id="shname" placeholder="收货人" value="<?php echo $report["name"];?>">
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">收货人电话:</label>
                                <input type="text" class="form-control" id="mobile" placeholder="收货人电话" value="<?php echo $report["mobile"];?>">
                            </div>

                            <div class="form-group">
                                <label for="exampleInputPassword1">收货地址:</label>
                                <input type="text" class="form-control" id="address" placeholder="收货地址" value="<?php echo $report["address"];?>">
                            </div>
                             <div class="form-group">

                                 <label class="radio-inline">
                                     <input type="radio" name="goods_status" id="goods_status" value="0"  <?php
                                     if($report["goods_status"]==0){
                                         echo "checked";
                                     }else{
                                         echo "";

                                     }
                                     ?>> 未发货
                                 </label>
                                 <label class="radio-inline">
                                     <input type="radio" name="goods_status" id="goods_status" value="1" <?php
                                     if($report["goods_status"]==1){
                                         echo "checked";
                                     }else{
                                         echo "";

                                     }
                                     ?>> 发货
                                 </label>
                                 <label class="radio-inline">
                                     <input type="radio" name="goods_status" id="goods_status" value="2"  <?php
                                     if($report["goods_status"]==2){
                                         echo "checked";
                                     }else{
                                         echo "";

                                     }
                                     ?>> 已收货
                                 </label>
                               <!--   <label class="radio-inline">
                                     <input type="radio" name="goods_status" id="goods_status" value="4" <?php
                                     if($report["goods_status"]==4){
                                         echo "checked";
                                     }else{
                                         echo "";

                                     }
                                     ?>> 退货
                                 </label> -->
                            </div>
                        <div class="form-group">
                            <label for="exampleInputPassword1">下单时间:</label>
                            <input type="text" class="form-control" id="created_at" placeholder="下单时间" value="<?php echo date("Y-m-d H:i:s",$report["created_at"]);?>" readonly>
                        </div>
                            <div id="express" style="display: none;">
                                <div class="form-group">
                                    <label for="exampleInputPassword1">快递公司</label>
                                    <input type="text" class="form-control" id="express_type" name="express_type" placeholder="快递公司" value="<?php echo $report["express_type"];?>" <?php if($report["goods_status"]==2){echo "readonly";}else{echo "";}?>>
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputPassword1">快递单号</label>
                                    <input type="text" class="form-control" id="express_no" name="express_no" placeholder="快递单号" value="<?php echo $report["express_no"];?>"<?php if($report["goods_status"]==2){echo "readonly";}else{echo "";}?>>
                                </div>
                            </div>

                            <div id="thly" style="display: none;">
                                退货理由:<textarea class="form-control" rows="3"></textarea>
                            </div>
                        <button type="button" class="btn btn-info" onclick="submit();">提交</button>
<!--                        </form>-->

                    </div>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/jquery.min.js"></script>
<script src="/static/mobile/js/layer/layer.js"></script>
<script src="/static/mobile/js/vue.js"></script>
<script>
var goods_status="<?php echo $report["goods_status"];?>";
if(goods_status==0){
    $("#express").hide();
    $("#thly").hide();
}else if(goods_status==4){
    $("#express").show();
    $("#thly").show();
}else{
    $("#express").show();
    $("#thly").hide();
}
//根据选中的状态展示不同的展示框
$("input[name='goods_status']").click(function(){
    let stute= $(this).val()
    if(stute==0){
        $("#express").hide();
        $("#thly").hide();
    }else if(stute!=0 && stute!=4){
        $("#express").show();
        $("#thly").hide();
    }else{
        $("#express").show();
        $("#thly").show();
    }
})
    function submit(){
    var url="<?php echo Url::toRoute(['user/report-detail']);?>";
    var id="<?php echo $report["id"];?>";
    var goods_status=$('input:radio[name="goods_status"]:checked').val();
    var express_type=$('#express_type').val();
    var express_no=$('#express_no').val();
    var mobile=$('#mobile').val();
    var address=$('#address').val();
    var shname=$('#shname').val();
    if(status>0){
        if(express_type=="" || express_type==0){

            layer.msg('快递公司错误', {
                offset: ['300px'],
                time: 1000
            });
            return false;
        }
        if(express_no=="" || express_no==0){
            layer.msg('快递号不能为空', {
                offset: ['300px'],
                time: 1000
            });
            return false;

        }
        if(shname==""){
            layer.msg('收货人姓名', {
                offset: ['300px'],
                time: 1000
            });
            return false;

        }
        if(mobile==""){
            layer.msg('手机号', {
                offset: ['300px'],
                time: 1000
            });
            return false;

        }
        if(address==""){
            layer.msg('收货地址', {
                offset: ['300px'],
                time: 1000
            });
            return false;

        }

    }
    $.post(url,{id:id,goods_status:goods_status,express_type:express_type,express_no:express_no,mobile:mobile,address:address,name:shname},function(res){
        if(res["code"]==1){
            layer.msg(res["msg"], {
                offset: ['300px'],
                time: 1000
            });
            window.location.href=res["data"];
        }else{
            layer.msg(res["msg"],{
                offset: ['300px'],
                time: 1000
            });
            return false;
        }

    });
    }
</script>
