<?php
/**
 * 后台销售中心添加编辑
 * @author 李达
 * @createtime: 2018/12/04
 */

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Html;

/**
 * @var $model common\models\User
 */
//$data = [
//    1 => '董事长',
//    2 => '销售经理',
//    3 => '财务经理',
//    4 => '市场经理',
//    5 => '拓展经理',
//    6 => '人事经理',
//    7 => '运营经理',
//    8 => '客户经理',
//    9 => '行政经理',
//];
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?=$form->field($model, 'name')->textInput(['placeholder' => '负责人']); ?>
                <?= $form->field($model, 'org_name')->textInput(['placeholder' => '销售中心名称']); ?>

                <?= $form->field($model, 'mobile')->textInput(['placeholder' => '联系方式']); ?>
               <?= $form->field($model, 'proxy_address')->textInput(['placeholder' => '代理地区']); ?>
                <?php if($model->type){$model->type = 1;}?>
                <?= $form->field($model, 'type')->radioList([3 => '借款销售中心', 1 => '标准销售中心'], ['item' => [MyHtml::class, 'radioListItem']])->label('销售中心类型'); ?>


                <?= $form->field($model, 'proxy_lv')->radioList([1 => '省级', 2 => '市级', 3 => '区级'], ['item' => [MyHtml::class, 'radioListItem']])->label('地区级别'); ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>
