<?php

use yii\helpers\Url;

?>
<ul class="nav nav-tabs">
    <li <?= Yii::$app->controller->action->id == 'list' ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['volunteer-list/list']) ?>">充值列表</a>
    </li>
    <li <?= Yii::$app->controller->action->id == 'user-list' ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['volunteer-list/user-list']) ?>">会员充值</a>
    </li>
    <li <?= Yii::$app->controller->action->id == 'goods-list' && empty(Yii::$app->request->get('id')) ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['volunteer-list/goods-list']) ?>">商品列表</a>
    </li>
    <li <?= Yii::$app->controller->action->id == 'shop-list' && empty(Yii::$app->request->get('id')) ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['volunteer-list/shop-list']) ?>">志愿者列表</a>
    </li>
    <li <?= Yii::$app->controller->action->id == 'apply-shop-list' && empty(Yii::$app->request->get('id')) ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['volunteer-list/apply-shop-list']) ?>">志愿者申请</a>
    </li>
    <?php if (Yii::$app->controller->action->id == 'shop-update' && !empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['/volunteer-list/shop-update']) ?>">修改商品</a>
        </li>
    <?php endif; ?>
    <?php if (Yii::$app->controller->action->id == 'shop-update' && empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['/volunteer-list/shop-update']) ?>">添加商品</a>
        </li>
    <?php endif; ?>

</ul>
