<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2017/9/1
 * Time: 18:01
 */

namespace common\models;


use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;

class Channel extends ActiveRecord
{
    public function rules()
    {
        return [
            [['id', 'title', 'pid', 'url', 'sort', 'status', 'traget'], 'safe']
        ];
    }

    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'pid' => '上级菜单',
            'title' => '标题',
            'url' => '链接',
            'sort' => '排序',
            'status' => '是否显示',
            'traget' => '是否新窗口打开'
        ];
    }

    public function behaviors()
    {
        return [
            [
                'class' => TimestampBehavior::className(),
                'createdAtAttribute' => 'created_at',
                'updatedAtAttribute' => 'updated_at',
            ],
        ];
    }
}
