<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%shop_goods}}".
 *
 * @property int $id
 * @property string $title 标题
 * @property string $price 价钱
 * @property string $imgs 商品图片
 * @property string $info 详情
 * @property int $status 状态
 * @property int $created_at 创建时间
 */
class ShopGoods extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return '{{%shop_goods}}';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['title', 'price', 'info',], 'required'],
            [['price'], 'number'],
            [['imgs', 'info'], 'string'],
            [['status', 'created_at'], 'integer'],
            [['title'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => '序号',
            'title' => '标题',
            'price' => '价格',
            'imgs' => '图片',
            'info' => '商品详情',
            'status' => '状态',
            'created_at' => '创建时间',
        ];
    }
}
