<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/28 20:58
 */

namespace common\models;

use yii\db\ActiveRecord;

/**
 * This is the model class for table "pk_trade_config".
 *
 * @property string $title [varchar(255)]  配置名称
 * @property string $info
 */
class TradeConfig extends ActiveRecord
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['title'], 'required'],
            [['info'], 'string'],
            [['title'], 'string', 'max' => 255],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'title' => '配置名称',
            'info' => '配置内容',
        ];
    }
}
