<?php
/**
 * Created by PhpStorm.
 * User: XingBin
 * Date: 2017/9/15
 * Time: 14:08
 */

namespace common\models;


use yii\base\Model;

/**
 *UploadForm is the model behind the upload form
 */
class UploadForm extends Model
{
    /**
     * @var string file attribute
     */
    public $file;

    /**
     * @return array the validation rules
     */
    public function rules()
    {
        return [
            [['File'], 'file', 'skipOnEmpty' => false, 'extensions' => 'xlsx,xls'],
        ];
    }

    public function upload()
    {
        if ($this->validate()) {
            $this->file->saveAs('uploads/' . $this->file->baseName . '.' . $this->file->extension);
            return true;
        } else {
            return false;
        }
    }

}
