<?php
$params = array_merge(
    require(__DIR__ . '/../../../../common/config/params.php'),
    require(__DIR__ . '/../../../../common/config/params-local.php'),
    require(__DIR__ . '/params.php'),
    require(__DIR__ . '/params-local.php')
);
return [
    'id' => 'app-frontend-sp',
    'basePath' => dirname(__DIR__),
    'layout' => 'main',
    'components' => [
        'user' => [
            'class' => 'yii\web\User',
            'identityClass' => 'backend\models\Shops',
            //开启自动登录
            'enableAutoLogin' => true,
            'loginUrl' => ['sp/auth/login'],
            'identityCookie' => ['name' => '_identity-frontend-sp', 'httpOnly' => true],
            'authTimeout' => 7200, // 2小时无操作自动退出登录
        ],
        'session' => [
            'class' => 'yii\web\Session',
            'name' => 'th-frontend-sp',
        ],
        'errorHandler' => [
            'class' => 'yii\web\ErrorHandler',
            'errorAction' => 'sp/site/error',
        ],
    ],
    'params' => $params,
];
