<?php
/**
 * @var string $cardNum
 * @var string $price
 */
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>左侧边栏</title>
    <!--    <link rel="stylesheet" href="../css/left_slide.css">-->
    <link rel="stylesheet" href="/static/mobile/css/left_slide.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/layer-v3.1.1/layer/layer.js"></script>
    <!--    <script src="/static/mobile/js/left_slide.js"></script>-->
</head>
<body>
<div id="allbox">
    <div id="left_slide">
        <div class="box">
            <div class="head">
                <div class="logo">
                    <img src="/static/mobile/img/logo.png" alt="logo">
                </div>
                <div class="title">JC健超</div>
            </div>
            <div class="con">
                <ul>
                    <li>
                        <div class="imgbg"></div>
                        <p>结账</p>
                    </li>
                    <li>
                        <div class="imgbg"></div>
                        <p>查询</p>
                    </li>
                    <li>
                        <div class="imgbg"></div>
                        <p>绑定</p>
                    </li>
                    <li>
                        <div class="imgbg"></div>
                        <p>打印</p>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div id="right_con">
        <ul class="right_box">
            <li>
                <h3 class="title">结 账</h3>
                <p><span>会员卡号：</span><input type="text" name="cardnum"></p>
                <p><span>消费金额：</span><input type="text" name="money"></p>
                <p><span>支付密码：</span><input type="password" name="paypass"></p>
                <p><span>备&nbsp; &nbsp; &nbsp; 注：</span><input type="text" name="remark"></p>
                <div class="button button-out">结 账</div>
            </li>
            <li style="display:none;">
                <h3 class="title">会员基本信息</h3>
                <p><span>会员卡号：</span><input class="mobile" type="text" maxlength="20" name="cardnum"></p>
                <p><span>用户昵称：</span><input type="text" name="nickname" disabled></p>
                <p><span>手 机 号：</span><input class="mobile" type="text" name="mobile" maxlength="11" minlength="11"
                                             disabled></p>
                <p><span>卡 余 额：</span><input type="text" name="balance" disabled></p>
                <div class="button button-out button-bind">查 询</div>
            </li>
            <li style="display:none;">
                <h3 class="title">会员卡绑定</h3>
                <p class="need"><span>会员卡卡号：</span><input type="text" name="cardnum"></p>
                <p class="need"><span>姓&nbsp; &nbsp; &nbsp;  名：</span><input type="text" name="realname"></p>
                <p class="need"><span>会员编号：</span><input class="mobile" type="text" name="uid"></p>
                <p class="need"><span>手 机 号：</span><input class="mobile" type="text" maxlength="11" minlength="11"
                                                          name="mobile"></p>
                <p><span>邮&nbsp; &nbsp; &nbsp; 箱：</span><input type="email" name="email"></p>
                <p><span>地&nbsp; &nbsp; &nbsp; 址：</span><input type="text" name="province"></p>
                <div class="button button-out">绑 定</div>
            </li>
        </ul>
    </div>
</div>
<script>
    $(function () {
        (function () {
            $('#left_slide .box .con ul li').each(function (i, ele) {
                $(ele).find('.imgbg').css('background', "url(/static/mobile/img/0" + (i + 1) + "-outline.png) no-repeat center");
            })
        })();
        (function () {
            var index = 0;
            $('#left_slide .box .con ul li').eq(0).find('.imgbg').css('background', "url(/static/mobile/img/01-line.png) no-repeat center");
            $('#left_slide .box .con ul li div').click(function () {
                index = $(this).parent().index();
                $('.right_box li').hide();
                $('.right_box li').eq(index).show();
                $('#left_slide .box .con ul li').each(function (i, ele) {
                    $(ele).find('.imgbg').css('background', "url(/static/mobile/img/0" + (i + 1) + "-outline.png) no-repeat center");
                })
                $(this).css('background', "url(/static/mobile/img/0" + (index + 1) + "-line.png) no-repeat center");
            })

            //屏蔽字母
            $('.right_box li .mobile').on('keydown', function (event) {
                var k = event.keyCode;
                if ((k <= 57 && k >= 48) || (k <= 105 && k >= 96) || (k == 8) || (k == 110)) {
                    return true;
                } else {
                    return false;
                }
            })
            $('.right_box li').eq(0).find('input').eq(1).on('keydown', function (event) {
                //结账页
                //48-57     96-105
                var k = event.keyCode;
                if ((k <= 57 && k >= 48) || (k <= 105 && k >= 96) || (k == 8) || (k == 110)) {
                    return true;
                } else {
                    return false;
                }
                var getparent = $(this).parents('li').find('input');
                var cardnum = getparent.eq(0).val();
                var money = getparent.eq(1).val();
                var paypass = getparent.eq(2).val();

                if (money == '' || cardnum == '' || paypass == '') {
                    $(this).parents('li').find('div.button').addClass('button-out');
                }
                if (cardnum && paypass && money) {
                    $(this).parents('li').find('div.button').removeClass('button-out');
                }


            })
            $('.right_box li').eq(2).find('input').on('keyup', function () {
                //会员卡绑定页

                var getparent = $(this).parents('li').find('input');
                var cardnum = getparent.eq(0).val();
                var realname = getparent.eq(1).val();
                var uid = getparent.eq(2).val();
                var mobile = getparent.eq(3).val();
                if (realname == '' || cardnum == '' || uid == '' || mobile == '') {
                    $(this).parents('li').find('div.button').removeClass('button-bind');
                }
                if (cardnum && realname && uid && mobile) {
                    $(this).parents('li').find('div.button').addClass('button-bind');
                }

            })
            $('div.button').click(function () {
                if (index == 0) { //结账
                    var getparent = $(this).parents('li').find('input');
                    var cardnum = getparent.eq(0).val();
                    var money = getparent.eq(1).val();
                    var paypass = getparent.eq(2).val();
                    var remark = getparent.eq(3).val();
                    if (!cardnum) {
                        layer.msg('会员卡号不能为空', {
                            offset: ['300px'],
                            time: 1000
                        })
                        return;
                    }
                    if (!money) {
                        layer.msg('消费金额不能为空', {
                            offset: ['300px'],
                            time: 1000
                        })
                        return;
                    }
                    if (!paypass) {
                        layer.msg('支付密码不能为空', {
                            offset: ['300px'],
                            time: 1000
                        })
                        return;
                    }
                    $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/pay'])?>", {
                        cardNum: cardnum,
                        money: money,
                        password: paypass,
                        remark: remark
                    }, function (res) {
                        if (res.code == 1) {

                            layer.msg(res.msg, {
                                offset: ['300px'],
                                time: 1000
                            });

                        } else if (res.code == 0) {
                            layer.open({
                                type: 1,
                                title: ['核对订单', 'text-align: center;font-weight:600;'],
                                area: '250px',
                                offset: ['200px'],
                                btnAlign: 'c',
                                fooset: '100px',
                                content: '<p style="padding-left:20px;margin:15px 0 10px;">会员卡号：' + cardnum + '</p><p style="padding-left:20px;margin:10px 0 15px;">消费金额：<span style="color:red;font-size:24px;">' + money + '</span> 元</p>',
                                btn: ['确定', '取消'],
                                yes: function (index, layero) {
                                    $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/offline-pay'])?>", {
                                        cardNum: cardnum,
                                        money: money,
                                        password: paypass,
                                        remark: remark
                                    }, function (res) {
                                        if (res.code == 0) {
                                            layer.msg(res.msg, {
                                                offset: ['300px'],
                                                time: 1000
                                            });
                                        } else {
                                            layer.msg(res.msg, {
                                                offset: ['300px'],
                                                time: 1000
                                            });
                                        }
                                    }, 'json')
                                }

                            })
                        }
                    }, 'json');


                } else if (index == 2) {  //绑定
                    var getparent = $(this).parents('li').find('input');
                    var cardnum = getparent.eq(0).val();
                    var realname = getparent.eq(1).val();
                    var uid = getparent.eq(2).val();
                    var mobile = getparent.eq(3).val();
                    var email = getparent.eq(4).val();
                    var province = getparent.eq(5).val();
                    if (!cardnum) {
                        layer.msg('会员卡号不能为空', {
                            offset: ['300px'],
                            time: 1000
                        });
                        return;
                    }
                    if (!uid) {
                        layer.msg('会员编号不能为空', {
                            offset: ['300px'],
                            time: 1000
                        });
                        return;
                    }
                    if (!mobile) {
                        layer.msg('手机号不能为空', {
                            offset: ['300px'],
                            time: 1000
                        });
                        return;
                    }
                    if (!realname) {
                        layer.msg('姓名不能为空', {
                            offset: ['300px'],
                            time: 1000
                        });
                        return;
                    }
                    //邮箱正则
                    var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/;
                    if (reg.test(email)) {
                        return true;
                    } else {
                        layer.msg('邮箱格式不正确', {
                            offset: ['300px'],
                            time: 1000
                        });
                        return
                    }
                    ;
                    $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/open-card'])?>", {
                        cardNum: cardnum,
                        mobile: mobile,
                        username: realname,
                        uid: uid,
                        email: email,
                        address: province
                    }, function (res) {
                        if (res.code == 0) {
                            layer.msg(res.msg, {
                                offset: ['300px'],
                                time: 1000
                            });
                        } else {
                            layer.msg(res.msg, {
                                offset: ['300px'],
                                time: 1000
                            });
                        }
                    }, 'json')

                } else if (index == 1) {
                    var getparent = $(this).parents('li').find('input');
                    var cardnum = getparent.eq(0).val();
                    $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/search'])?>", {cardNum: cardnum}, function (res) {
                        console.log(res)
                        if (res.code == 0) {
                            layer.msg(res.msg, {
                                offset: ['300px'],
                                time: 1000
                            });
                            console.log($('ul li').eq(1).find('input').eq(1))
                            $('ul.right_box li').eq(1).find('input').eq(1).val(res.data.nickname);
                            $('ul.right_box li').eq(1).find('input').eq(2).val(res.data.mobile);
                            $('ul.right_box li').eq(1).find('input').eq(3).val(res.data.credit);
                        } else {
                            layer.msg(res.msg, {
                                offset: ['300px'],
                                time: 1000
                            });
                        }
                    }, 'json')
                    console.log(cardnum)
                }
            })
        })();

    })
</script>

</body>
</html>
