<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>忘记密码</title>
    <meta name="description" content="忘记密码">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="忘记密码"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <link rel="stylesheet" href="/static/mobile/css/sign_up.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
</head>

<body data-type="forget">
<div class="am-g tpl-g">
    <div class="tpl-login">
        <div class="tpl-login-content">
            <div class="tpl-login-title">忘记密码</div>
            <form class="am-form tpl-form-line-form">
                <div class="am-form-group">
                    <input type="text" class="tpl-form-input" id="user-mobile" maxlength="11" placeholder="手机号">
                </div>
                <div class="am-form-group" style="position:relative;">
                    <input type="text" class="tpl-form-input" id="user-smscode" maxlength="4" placeholder="请输入验证码">
                    <button type="button" class="am-btn am-btn-xs am-btn-success smscode">获取验证码</button>
                </div>
                <div class="am-form-group">
                    <input type="password" class="tpl-form-input" id="user-pass" placeholder="请输入新密码">
                </div>

                <div class="am-form-group">
                    <input type="password" class="tpl-form-input" id="user-repass" placeholder="再次输入密码">
                </div>
                <div class="am-cf" style="margin-bottom: 20px;overflow: hidden;">
                    <p><a href="<?= \yii\helpers\Url::toRoute(['/auth/login']) ?>">登录</a></p>
                    <p><a href="<?= \yii\helpers\Url::toRoute(['/auth/sing-up']) ?>">注册新账号</a></p>
                </div>
                <div class="am-form-group">
                    <button type="button"
                            class="am-btn am-btn-primary  am-btn-block tpl-btn-bg-color-success  tpl-login-btn forget">
                        提交
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script src="/static/mobile/js/userpass.js"></script>
<script>
    if ($(window).width() < 641) {
        $('.tpl-login-content').css({"margin": "33% auto 0"})
    } else {
        $('.tpl-login-content').css({"margin": "12% auto 0"})
    }
    window.authForm = {
        forget: function (data) {
            $.post('/auth/reset', {
                mobile: data.mobile,
                smsCode: data.smsCode,
                password: data.password,
                rePassword: data.rePassword,
                scenario: 'password',
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    layer.msg('修改成功，请登录', {
                        offset: ['300px'],
                        time: 1000
                    });
                    setTimeout(function () {
                        window.location.href = '/auth/login';
                    }, 800)
                } else {
                    layer.msg(res.msg, {
                        offset: ['300px'],
                        time: 1000
                    });
                }
            })
        },
        getsmscode: function (mobile) {
            $.post('/api/buyCar/auth/sms-verifycode', {
                mobile: mobile,
                scenario: 'reset',
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    layer.msg(res.msg, {
                        offset: ['300px'],
                        time: 1000
                    });
                    getSms($('.smscode'), 120);
                } else {
                    layer.msg(res.msg, {
                        offset: ['300px'],
                        time: 1000
                    });
                }
            })
        },
    }
</script>
</body>

</html>
