<?php

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>销售记录</title>
    <meta name="description" content="销售-查询">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="销售-查询"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        img.arrimg {
            width: 100%;
            max-width: 300px;
        }

        .dshow {
            padding: 5px;
            width: 90%;
            margin: auto;
        }

        .dshow img {
            width: 100%;
        }

        .ulfox {
            left: 50%;
            margin-left: -159px;
            bottom: 30px
        }
    </style>
</head>

<body data-type="center-search" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="search">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-th-list">业务管理</a></li>
            <li class="am-active">业务查询</li>
        </ol>
        <div style="margin: 10px 10px 0;">
            <div class="am-input-group">
                <input type="text" class="am-form-field" maxlength="11" @keyup.13="searchid(str)" v-model="str"
                       placeholder="搜索(账号)"
                       style="background: #fff;-webkit-border-radius: 5px;-moz-border-radius: 5px;border-radius: 5px;">
                <span @click="searchid(str)" class="am-input-group-label"><i
                        class="am-icon-search am-icon-fw"></i></span>
                <span class="am-input-group-label"><a href="/site/center-search">清除</a></span>
            </div>
        </div>
        <div class="content" style="position: relative;">
            <div class="row-content am-cf">
                销售数量:<input type="text" id="sellnums" class="am-form-field" v-model="str" placeholder="0" style="background: #fff;-webkit-border-radius: 5px;-moz-border-radius: 5px;border-radius: 5px;">
                <div class="row-content am-cf">
                    <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails" v-show="!flag">
                        <li style="padding: 10px;" v-for="list in searchlist.list">
                            <div class="libox">
                                <p>销售人姓名：{{list.name}}</p>
                                <p>会员编号：{{list.uid}}</p>
                                <p>金额：{{list.price}}</p>
                                <p>销售中心ID：{{list.report_uid}}</p>
                                <p>订单编号：{{list.id}}</p>
                                <p>账户：{{list.accountname}}</p>
<!--                                <p>支付凭证：</p>-->
<!--                                <p style="text-indent: 0;padding: 1px;" @click="showimg(list.thumb)"><img class="arrimg" :src="list.thumb" alt=""></p>-->
                                <p>时间：{{list.created_at}}</p>
                                <p>状态：{{list.status}}</p>
                                <p v-show="list.remark">驳回原因：{{list.remark}}</p>
                            </div>
                        </li>
                    </ul>
                    <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails" v-show="flag">
                        <li style="padding: 10px;">
                            <div class="libox">
                                <p>销售人姓名：{{arr.name}}</p>
                                <p>会员编号：{{arr.uid}}</p>
                                <p>金额：{{arr.price}}</p>
                                <p>销售中心ID：{{arr.report_uid}}</p>
                                <p>订单编号：{{arr.id}}</p>
<!--                                <p>支付凭证：</p>-->
<!--                                <p @click="showimg(arr.thumb)"><img class="arrimg" :src="arr.thumb" alt=""></p>-->
                                <p>时间：{{arr.created_at}}</p>
                                <p>状态：{{arr.status}}</p>
                                <p v-show="arr.remark">驳回原因：{{arr.remark}}</p>
                            </div>
                        </li>
                    </ul>
                </div>
                <ul data-am-widget="pagination"
                    class="am-pagination am-pagination-default am-vertical-align-bottom ulfox">
                    <li class="am-pagination-first am-btn-xs">
                        <a @click="Firstpage" class="">第一页</a>
                    </li>
                    <li class="am-pagination-prev am-btn-xs">
                        <a @click="Prevpage" class="">上一页</a>
                    </li>
                    <li class="am-btn-xs"><a class="">{{page}}/{{searchlist.page}}</a></li>
                    <li class="am-pagination-next am-btn-xs">
                        <a @click="Nextpage" class="">下一页</a>
                    </li>
                    <li class="am-pagination-last am-btn-xs">
                        <a @click="Lastpage" class="">最末页</a>
                    </li>
                </ul>
            </div>
        </div>

    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    if ($(window).width() < 614) {
        $('ul.am-pagination').removeClass('ulfox');
    } else {
        $('ul.am-pagination').addClass('ulfox');
    }
    $.post("/team-report/inquires", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();

            var search = new Vue({
                el: '#search',
                data: {
                    searchlist: res.data,
                    str: '',
                    arr: {},
                    flag: false,
                    page: 1
                },

                methods: {
                    showimg: function (data) {
                        setTimeout(function () {
                            layer.open({
                                type: 1,
                                title: false,
                                closeBtn: 0,
                                skin: 'layui-layer-nobg', //没有背景色
                                shadeClose: true,
                                content: '<div class="dshow"><img src="' + data + '"></img></div>'
                            });
                        }, 1)

                    },
                    searchid: function (str) {
                        var _this = this.searchlist.list;
                        if (str.length > 0) {
                            $.post("/team-report/inquire", {
                                mobile: str,
                                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
                            }, res => {
                                // console.log(res);
                                // return false;
                                if (res.code == 0) {
                                    layer.msg('查询成功', {
                                        offset: ['300px'],
                                        time: 1000
                                    });
                                    this.arr = res.data;
                                    this.flag = true;
                                } else if (res.code == 1) {
                                    layer.msg(res.msg, {
                                        offset: ['300px'],
                                        time: 1000
                                    });
                                }
                            })
                        } else {
                            layer.msg('请输入正确的账号', {
                                offset: ['300px'],
                                time: 1000
                            });
                        }
                    },
                    Firstpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/inquires", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = 1;
                                this.searchlist = res.data;
                            }
                        })
                    },
                    Prevpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/inquires", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.searchlist = res.data;
                            }
                        })
                    },
                    Nextpage: function () {
                        if (this.page >= this.searchlist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/inquires", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.searchlist = res.data;
                            }
                        })
                    },
                    Lastpage: function () {
                        if (this.page >= this.searchlist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/inquires", {
                            page: this.searchlist.page,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = this.searchlist.page;
                                this.searchlist = res.data;
                            }
                        })
                    }
                },
                mounted: function () {
                    $('.content').show()
                }

            })
            // var num=res.data.list.length;
            var num=res.data.count;
            if(num<=0 || num=="" || num=="undefined"){
                num=0;
            }
            $('#sellnums').val(num);
            $("#sellnums").attr("readonly","readonly");
        } else if (res.code == 1) {
            $('.content').show().html('您还没有任何销售记录！').css({'line-height': '50px', 'text-indent': '10px'})
        }

    })
</script>
</body>

</html>
