<?php
use chenkby\region\Region;

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>好车定制</title>
    <meta name="description" content="shen-ask.php">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="center-ask.php"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>

</head>

<body data-type="custom" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="ask" style="padding:0px 15px;">
        <ol class="am-breadcrumb" style="margin:10px 0;">
            <li><a href="#" class="am-icon-th-list">呱呱好车商城</a></li>
            <li class="am-active">好车定制</li>
        </ol>
        <div class="am-u-sm-12 am-u-md-12 am-u-lg-12" style="background: #fff;border-radius: 5px;">
            <form class="am-form" style="margin: 20px 0;display: none;">
                <legend>好车定制</legend>
                <div class="am-form-group">
                    <label for="name">姓名</label>
                    <input type="text" class="" id="name" placeholder="请输入姓名">
                </div>
                <div class="am-form-group">
                    <label for="mobile">手机号</label>
                    <input type="text" maxlength="11" class="" id="mobile" placeholder="请输入手机号">
                </div>
                <div class="am-form-group">
                    <label for="detail">理想车型</label>
                    <input type="text" class="" id="type" placeholder="请输入车辆品牌">
                </div>
                <div class="am-form-group">
                    <label for="detail">理想颜色</label>
                    <input type="text" class="" id="color" placeholder="请输入车辆颜色">
                </div>
                <div class="am-form-group">
                    <label for="doc-ta-1">备注</label>
                    <textarea id="remarks" rows="5" id="doc-ta-1"></textarea>
                </div>
                <button @click="submit()" class="am-btn am-btn-success">提交</button>
            </form>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {"<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"}, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() > 641) {
        $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
    }
    $(window).resize(function () {
        if ($(window).width() > 641) {
            $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
        } else {
            $('.am-form').css({'width': '85%', 'max-width': '800px', 'margin': '20px auto'})
        }
    });
    var ask = new Vue({
        el: '#ask',
        data: {
            asklist: {
                mobile: '',
                remarks: '',
                address: {provincial: '', city: '', county: ''},
                addre: {a: '', b: '', c: '', d: ''},
                level: 1
            }
        },
        methods: {
            submit: function () {
                event.preventDefault();
                var data = {
                    name: $('#name').val(),
                    mobile: $('#mobile').val(),
                    type: $('#type').val(),
                    color: $('#color').val(),
                    remarks: $('#remarks').val(),
                    "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                };
                if (!data.name || !data.mobile || !data.type || !data.color) {
                    layer.msg('请填写完成再提交', {
                        offset: ['300px'],
                        time: 1000
                    });
                    return;
                }
                console.log(data)
                $.post('/user/custom', data, function (res) {
                    if (res.code == 0) {
                        layer.msg(res.msg, {
                            offset: ['300px'],
                            time: 1000
                        });
                        setTimeout(function () {
                            window.location.href = '/site/buycar';
                        }, 1000)
                    } else if (res.code == 1) {
                        layer.msg(res.msg, {
                            offset: ['300px'],
                            time: 1000
                        });
                    }
                })
            }
        },
        mounted: function () {
            setTimeout(function () {
                $('form').show();
            }, 1)
            var _this = this;
            $.post('/user/address', {
                id: 0,
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>"
            }, function (res) {
                if (res.code == 0) {
                    _this.asklist.address.provincial = res.data;
                }
            })

        }
    })

</script>
</body>

</html>
