<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>首页</title>
    <meta name="description" content="疑难帮助">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=yes">
    <meta name="mobileOptimized" content="width">
    <meta name="handheldFriendly" content="true">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="疑难帮助"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        .ashow{
            width: 100%;
        }
        .ashow img{
            width: 100%;
        }
    </style>
</head>
<body data-type="help" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div id="help" class="tpl-content-wrapper content">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">个人设置</a></li>
            <li class="am-active">疑难帮助</li>
        </ol>
        <div class="am-panel am-panel-secondary" style="margin: 10px;">
            <div class="am-panel-hd">疑难帮助</div>
            <div class="am-panel-bd">
                <ul class="am-list am-list-border">
                    <li v-for="list in help" @click="opend(list)"><a href="#"><i class="am-icon-home am-icon-fw"></i>
                            {{list.title}}</a></li>

                </ul>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    $('.content').removeClass('con_none');
    //公告
    $.post("/user/difficult-help", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var help = new Vue({
                el: '#help',
                data: {help: res.data},
                methods: {
                    opend: function (data) {
                        $('#showc').html(data.content);
                        setTimeout(function () {
                            layer.open({
                                type: 1,
                                title: data.title,
                                skin: 'layui-layer-rim', //加上边框
                                resize:true,
                                shadeClose: true,
                                content: "<div class='ashow'>" + data.content + "</div>",
                            })
                        }, 300)

                    }
                },
                mounted: function () {
                    $('.content').show();

                }
            })
        } else if (res.code == 1) {
            layer.msg(res.msg, {
                offset: ['300px'],
                time: 1000
            });
        }

    });
</script>
<div id="showc" style="display: none;"></div>
</body>

</html>
