<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>首页</title>
    <meta name="description" content="系统首页">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="系统首页"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        ul.list {
            padding: 20px;
        }

        ul.list li {
            padding: 15px 0;
            border-bottom: 1px solid #F4F6F9;
        }

        ul.list li:hover {
            background: #F4F6F9;
        }

        ul.list li p {
            margin: 0;
        }

        .hh li {
            text-align: center;
            color: #fff;
            font-size: 14px;
        }

        .hh li > div {
            padding: 5px 0 0;
        }

        .hh li div p {
            margin: 0;
            line-height: 30px;
        }

        .hh li div div {
            background: rgba(0, 0, 0, 0.1);
            padding: 3px;
        }

        .hh li div div a {
            color: #fff;
        }

        .hh li div div a i {
            text-indent: 5px;
        }

        .one {
            background: #56BDEA;
        }

        .two {
            background: #E7A03C;
        }

        .three {
            background: #49A361;
        }

        .hh li div div.four {
            background: #CD5542;
        }

        .box {
            display: none;
        }

        .box ul li {
            background: #E9ECB7;
            margin: 2px 0;
            padding: 5px 0 5px 15px;
            -webkit-border-radius: 3px;
            -moz-border-radius: 3px;
            border-radius: 3px;

        }
    </style>
</head>

<body data-type="index" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div id="index" class="tpl-content-wrapper content">
        <ol class="am-breadcrumb">
            <li class="am-active"><a href="#" class="am-icon-file-text-o">系统首页</a></li>
        </ol>
        <div class="row-content content am-cf">
            <ul class="am-avg-sm-1 am-avg-md-2 am-thumbnails hh" style="display: none;">
                <li>
                    <div class="one">                       
                            <p>{{index.credit2}}</p>
                            <p>冻结积分</p>
                            <div>
                            	<a href="/site/profit">
                            		查看明细
                            		<i class="icon am-icon-arrow-circle-right"style=";"></i>                            			                        										
                            		</a>
                            </div>
                     	</div>
                </li>
                <li>
                    <div class="two">
                        <p>{{index.credit}}</p>
                        <p>销售中心积分</p>
                        <div><a href="/site/center-job">查看明细<i class="icon am-icon-arrow-circle-right"
                                                               style=";"></i></a>
                        </div>
                    </div>
                </li>
                <li>
                    <div class="three">
                        <p>{{index.credit1}}</p>
                        <p>出局管理积分</p>
                        <div><a href="/site/profit">查看明细<i class="icon am-icon-arrow-circle-right" style=";"></i></a>
                        </div>
                    </div>
                </li>
                <li>
                    <!--<div style="float: left;width: 50%;padding-right: 5px;">
                        <div class="four" style="">
                            <p>{{index.credit7}}</p>
                            <p>推荐积分奖余额</p>
                            <div><a href="/site/profit">查看明细<i class="icon am-icon-arrow-circle-right"
                                                               style=";"></i></a></div>
                        </div>
                    </div>-->
                    <!--<div style="float: right;width: 50%;padding-left: 5px;">
                        <div class="four" style="">
                            <p>{{index.credit5}}</p>
                            <p>账户奖金累计</p>
                            <div><a><i class="icon am-icon-arrow-circle-right" style=";"></i></a></div>
                        </div>

                    </div>-->
                    <div style="width: 100%;padding-left: 5px;">
                        <div class="four" style="">
                            <p>{{index.credit3}}</p>
                            <p>账户总积分</p>
                            <div><a><i class="icon am-icon-arrow-circle-right" style=";"></i></a></div>
                        </div>
                    </div>
                </li>
            </ul>
            <div class="box">
                <div class="widget-head am-cf"
                     style="padding:10px 0 0px;border-top: 2px solid #3bb4f2 ;margin:10px 0 20px;border-bottom: none;">
                    <div class="widget-title  am-cf">站内公告</div>
                </div>
                <ul>
                    <li v-for="(str,x) in list" @click="showmore(x)"><a>{{str.title}}</a></li>
                </ul>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    $('.content').removeClass('con_none');
    var index = new Vue({
        el: '#index',
        data: {index: {}, list: {}},
        methods: {
            showmore: function (x) {
                layer.open({
                    type: 1,
                    title: '公告详情',
                    skin: 'layui-layer-rim', //加上边框
                    content: '<div style="padding:5px 10px;">' + this.list[x].content + '</div>'
                });
            }
        },
        mounted: function () {
        	// //console.log("indexindxindex")
        	// //console.log(JSON.stringify($.AMUI.store.get('userInfo')))
            var _this = this;
            $.post("/user/user-info", {
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
            }, function (res) {
            	//console.log(JSON.stringify(res))
                if (res.code == 0) {
                    _this.index = res.data;
                    setTimeout(function () {
                        $('.hh').show();
                    }, 1)
                } else if (res.code == 1) {
                    layer.msg(res.msg, {
                        offset: ['300px'],
                        time: 1000
                    });
                }
            });
            $.post("/user/announcement-agree", {
                "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
            }, function (res) {
                if (res.code == 0) {
                    _this.list = res.data;
                    $('.box').show();
                } else if (res.code == 1) {
                    layer.msg(res.msg, {
                        offset: ['300px'],
                        time: 1000
                    });
                }
            });
            $('.content').show()


        }
    })

</script>
</body>

</html>
