<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>我的分享</title>
    <meta name="description" content="我的分享">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="我的分享"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        ul.list {
            padding: 20px;
        }

        ul.list li {
            padding: 15px 0;
            border-bottom: 1px solid #F4F6F9;
        }

        ul.list li:hover {
            background: #F4F6F9;
        }

        ul.list li p {
            margin: 0;
        }

        .showa {
            display: none;
        }
        .assss th,.assss td{
            text-align: center;
        }
    </style>
</head>

<body data-type="share" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div id="share" class="tpl-content-wrapper">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-users">团队管理</a></li>
            <li class="am-active">分享列表</li>
        </ol>
        <div class="row-content content am-cf">
            <div class="widget-head am-cf"
                 style="padding:0 0 10px;border-bottom: 2px solid #3bb4f2 ;margin-bottom: 20px;">
                <div class="widget-title  am-cf">分享列表</div>
            </div>
            <div class="am-g am-scrollable-horizontal" style="padding: 0 10px; margin:0 10px">
                <table style="min-width:550px;" class="am-table am-table-bordered  am-text-nowrap am-table-radius am-table-striped assss">
                    <thead>
                    <tr>
                        <th>用户ID</th>
                        <th>姓名</th>
                        <th>手机号</th>
                        <th>出局次数</th>
                        <th>注册时间</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr class="showa" style="height: 30px;">
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>
                    <tr class="showb" v-for="list in share">
                        <td>{{list.uid}}</td>
                        <td>{{list.realname}}</td>
                        <td>{{list.mobile}}</td>
                        <td>{{list.outs}}</td>
                        <td>{{list.created_at}}</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <ul data-am-widget="pagination"
                class="am-pagination am-pagination-default am-vertical-align-bottom ulfox showb">
                <li class="am-pagination-first am-btn-xs">
                    <a @click="Firstpage" class="">第一页</a>
                </li>
                <li class="am-pagination-prev am-btn-xs">
                    <a @click="Prevpage" class="">上一页</a>
                </li>
                <li class="am-btn-xs"><a class="">{{page}}/{{count}}</a></li>
                <li class="am-pagination-next am-btn-xs">
                    <a @click="Nextpage" class="">下一页</a>
                </li>
                <li class="am-pagination-last am-btn-xs">
                    <a @click="Lastpage" class="">最末页</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });

    $('.content').removeClass('con_none');
    //公告
    $.post("/user/my-share", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var share = new Vue({
                el: '#share',
                data: {
                    share: res.data.list,
                    page: 1,
                    count: res.data.page
                },
                methods: {
                    Firstpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/my-share", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = 1;
                                _this.share = res.data.list;
                            }
                        })
                    },
                    Prevpage: function () {
                        var _this = this;
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/my-share", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.share = res.data.list;
                            }
                        })
                    },
                    Nextpage: function () {
                        var _this = this;
                        if (this.page >= this.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/my-share", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.share = res.data.list;
                            }
                        })
                    },
                    Lastpage: function () {
                        var _this = this;
                        if (this.page >= this.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/user/my-share", {
                            page: this.count,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, function (res) {
                            if (res.code == 0) {
                                _this.page = this.count;
                                _this.share = res.data.list;
                            }
                        })
                    }
                },
                mounted: function () {
                    setTimeout(function () {
                        $('.content').show();
                    }, 1)
                }
            })
        } else if (res.code == 1) {
            $('.showa').show();
            $('.showb').hide();
            $('.content').show().html('您还没有激活账号！').css({'line-height': '50px', 'text-indent': '10px'})

        }

    });
</script>
</body>

</html>
