<?php

namespace backend\controllers;

class SiteController extends ControllerBase
{
    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'height' => 50,
                'width' => 80,
                'minLength' => 4,
                'maxLength' => 4
            ],
        ];
    }

    /**
     * 系统首页.
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

}
