<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

use common\models\GameGoods;

/**
 * @var array $config
 */
?>

<div class="box box-success">
    <div class="box-header with-border">
        游戏关闭
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">游戏开关</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <label class="radio-inline">
                    <input type="radio" name="config[switch]"
                           value="1" <?= (empty($config['switch']) || $config['switch'] == '1') ? 'checked' : '' ?>> 开启
                </label>
                <label class="radio-inline">
                    <input type="radio" name="config[switch]"
                           value="0" <?= @$config['switch'] == '0' ? 'checked' : '' ?>> 关闭
                </label>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关闭原因</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <input name="config[reason]" value="<?= @$config['reason'] ?>" class="form-control"
                       placeholder="请输入关闭原因，尽在关闭的时候显示!">
            </div>
        </div>
    </div>
</div>

<div class="box box-success">
    <div class="box-header with-border">
        头衔设置
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <div class="col-xs-12 col-sm-10 col-md-8">
                <?php for ($i = 1; $i <= 6; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">等级<?= $i ?></span>
                        <input name="config[levelTitle][<?= $i ?>]" value="<?= @$config['levelTitle'][$i] ?>"
                               class="form-control" placeholder="请输入头衔名称" style="min-width: 200px;max-width: 500px">
                    </div>
                <?php endfor; ?>
            </div>
        </div>
    </div>
</div>
