<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

/**
 * @var array $config
 */
?>

<div class="box box-success">
    <div class="box-header with-border">
        土地升级条件
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <div class="col-xs-12">
                <?php for ($i = 2; $i <= 12; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">第<?= $i ?>块土地</span>
                        <input name="config[upgrade][<?= $i ?>][z]" value="<?= @$config['upgrade'][$i]['z'] ?>"
                               class="form-control" placeholder="请输入自生碳汇数量">
                        <span class="input-group-addon">自生碳汇</span>
                        <input name="config[upgrade][<?= $i ?>][g]" value="<?= @$config['upgrade'][$i]['g'] ?>"
                               class="form-control" placeholder="请输入金碳汇数量">
                        <span class="input-group-addon">金碳汇</span>
                    </div>
                <?php endfor; ?>
            </div>
        </div>
    </div>
</div>

<div class="box box-success">
    <div class="box-header with-border">
        土地风险控制
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">干旱</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">概率</span>
                    <input name="config[risk][drought][chanceRate]"
                           value="<?= @$config['risk']['drought']['chanceRate'] ?>" class="form-control"
                           placeholder="请输入2位有效小数">
                    <span class="input-group-addon">%</span>
                    <span class="input-group-addon">减少产量</span>
                    <input name="config[risk][drought][minusProfitRate]"
                           value="<?= @$config['risk']['drought']['minusProfitRate'] ?>" class="form-control"
                           placeholder="请输入2位有效小数">
                    <span class="input-group-addon">%</span>
                </div>
                <div class="help-block">如果用户使用狗的自动技能信息可以避免遭受干旱</div>
            </div>
        </div>
    </div>
</div>
