<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

/**
 * @var array $config
 */

use common\models\GameGoods;

$goodsList = GameGoods::find()->where(['type' => GameGoods::PROP_TYPE, 'status' => GameGoods::ACTIVE])->asArray()->all()
?>
<div class="box box-success">
    <div class="box-header with-border">
        签到礼包
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">奖品</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <?php for ($i = 1; $i <= 3; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">奖品<?= $i ?></span>
                        <select name="config[sign][award][<?= $i ?>][goodsId]" class="form-control" title=""
                                style="min-width: 100px;">
                            <option value="">请选择</option>
                            <?php foreach ($goodsList as $goods): ?>
                                <option
                                    value="<?= $goods['id'] ?>" <?= (@$config['sign']['award'][$i]['goodsId'] == $goods['id']) ? 'selected' : ''; ?>><?= $goods['title'] ?></option>
                            <?php endforeach; ?>
                        </select>
                        <span class="input-group-addon">数量</span>
                        <input name="config[sign][award][<?= $i ?>][num]"
                               value="<?= @$config['sign']['award'][$i]['num'] ?>" class="form-control"
                               placeholder="请输入数量" style="min-width: 100px;max-width: 200px">
                    </div>
                <?php endfor; ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">开关</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <label class="radio-inline">
                    <input type="radio" name="config[sign][switch]"
                           value="1" <?= @$config['sign']['switch'] == 1 ? 'checked' : ''; ?>>
                    开启
                </label>
                <label class="radio-inline">
                    <input type="radio" name="config[sign][switch]"
                           value="0" <?= empty($config['sign']['switch']) ? 'checked' : ''; ?>>
                    关闭
                </label>
            </div>
        </div>
    </div>
</div>

<div class="box box-success">
    <div class="box-header with-border">
        新手礼包
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">奖品</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <?php for ($i = 1; $i <= 3; $i++): ?>
                    <div class="input-group">
                        <span class="input-group-addon">奖品<?= $i ?></span>
                        <select name="config[novice][award][<?= $i ?>][goodsId]" class="form-control" title=""
                                style="min-width: 100px;">
                            <option value="">请选择</option>
                            <?php foreach ($goodsList as $goods): ?>
                                <option
                                    value="<?= $goods['id'] ?>" <?= (@$config['novice']['award'][$i]['goodsId'] == $goods['id']) ? 'selected' : ''; ?>><?= $goods['title'] ?></option>
                            <?php endforeach; ?>
                        </select>
                        <span class="input-group-addon">数量</span>
                        <input name="config[novice][award][<?= $i ?>][num]"
                               value="<?= @$config['novice']['award'][$i]['num'] ?>" class="form-control"
                               placeholder="请输入数量" style="min-width: 100px;max-width: 200px">
                    </div>
                <?php endfor; ?>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">开关</label>
            <div class="col-xs-12 col-sm-9 col-md-8">
                <label class="radio-inline">
                    <input type="radio" name="config[novice][switch]"
                           value="1" <?= @$config['novice']['switch'] == 1 ? 'checked' : ''; ?>>
                    开启
                </label>
                <label class="radio-inline">
                    <input type="radio" name="config[novice][switch]"
                           value="0" <?= empty($config['novice']['switch']) ? 'checked' : ''; ?>>
                    关闭
                </label>
            </div>
        </div>
    </div>
</div>
