<?php
use yii\helpers\Url;

?>
<ul class="nav nav-tabs">
    <li <?= Yii::$app->controller->action->id == 'system' ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['announcement/system']) ?>">系统公告</a>
    </li>
    <li <?= Yii::$app->controller->action->id == 'about' ? ' class="active"' : '' ?>>
        <a href="<?= Url::to(['announcement/about']) ?>">关于我们</a>
    </li>
    <?php if (Yii::$app->controller->action->id == 'update' && empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['announcement/update']) ?>">添加系统公告</a>
        </li>
    <?php endif; ?>
    <?php if (Yii::$app->controller->action->id == 'update' && !empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['announcement/update']) ?>">修改系统公告</a>
        </li>
    <?php endif; ?>

    <?php if (Yii::$app->controller->action->id == 'about-update' && empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['announcement/about-update']) ?>">添加文章</a>
        </li>
    <?php endif; ?>
    <?php if (Yii::$app->controller->action->id == 'about-update' && !empty(Yii::$app->request->get('id'))): ?>
        <li class="active">
            <a href="<?= Url::to(['announcement/about-update']) ?>">修改文章</a>
        </li>
    <?php endif; ?>

    <?php if (Yii::$app->controller->action->id == 'user-agreement'): ?>
        <li class="active">
            <a href="<?= Url::to(['announcement/user-agreement']) ?>">用户须知</a>
        </li>
    <?php endif; ?>

</ul>
