<?php
/**
 * @var $item backend\models\SystemMenu
 * @var $list array
 */
use yii\helpers\Html;

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;

?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '公告标题（必填）']); ?>
                <?= $form->field($item, 'remark')->textInput(['placeholder' => '公告摘要']); ?>
                <?= $form->field($item, 'status')->radioList([1 => '启用', 9 => '禁用'], ['item' => [MyHtml::class, 'radioListItem']]); ?>
                <?= $form->field($item, 'content')->textarea(['rows' => 20, 'placeholder' => '请输入公告内容'])->label('公告内容') ?>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>

            </div>
        </div>
    </div>
</div>

