<?php

/** @var  $item
 */
use backend\widgets\MyActiveForm;
use yii\helpers\Html;
use yii\helpers\Url;

?>
<div class="nav-tabs-custom">
    <ul class="nav nav-tabs">
        <li <?= Yii::$app->controller->action->id == 'state' ? ' class="active"' : '' ?>>
            <a href="<?= Url::to(['/announcement/state']) ?>">线下打款</a>
        </li>
    </ul>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php $form = MyActiveForm::begin(); ?>
                <?= $form->field($item, 'title')->textInput(['placeholder' => '请输入标题'])->label('开户行全称'); ?>
                <?= $form->field($item, 'remark')->textInput(['placeholder' => '请输入公司名称'])->label('收款人'); ?>
                <?= $form->field($item, 'content')->textInput(['placeholder' => '请输入公司名称'])->label('开户行账号'); ?>
                <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                <div class="col-xs-12 col-sm-5">
                    <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                </div>
            </div>
            <?php MyActiveForm::end(); ?>
        </div>
    </div>
</div>
