<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use yii\helpers\Html;
use yii\helpers\Url;
use backend\models\SystemUser;
?>
 <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
                <?= Html::beginForm(['config/manager-list'], 'get', ['class' => 'form-horizontal']) ?>
               
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('导出全部列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div>
                   <!--  <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6e">
                        <?= Html::submitButton('导出本页列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div> -->

                </div>
                <?= Html::endForm() ?>
            </div>
        </div>
<div class="nav-tabs-custom">
    <div class="tab-content">
           <div class="row-fluid table">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th class="span2">
                                    <span class="line"></span>ID
                                </th>
                                <th class="span2">
                                    <span class="line"></span>操作者
                                </th>
                                <th class="span2">
                                    <span class="line"></span>操作内容
                                </th>

                                <th class="span2">
                                    <span class="line"></span>IP
                                </th>
                               
                                <th class="span2">
                                    <span class="line"></span>添加时间
                                </th>
                               

                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach($sholdernums as $k => $sholdernum): ?>


                        <!-- row -->
                        <tr class="first">
                            <td>
                                <?php echo $sholdernum->id; ?>
                            </td>

                            <td>
                                <?php 
                                $sid=$sholdernum->uid;
                                $sysname=SystemUser::find()->where("id=:id",[':id'=>$sid])->one();
                                echo $sysname['username']; 
                                ?>
                                
                            </td>
                            <td>
                                <?php 
                                  echo $sholdernum->operate;
                                 ?>
                                
                            </td>

                            <td>
                                <?php echo long2ip($sholdernum->ip); ?>
                            </td>
                          

                            <td>
                                <?php echo date("Y-m-d H:i:s",$sholdernum->create_at); ?>
                            </td>
                           
                        </tr>
                       <?php endforeach; ?>

                        </tbody>
                    </table>
                    <?php
                    if(Yii::$app->session->getFlash("info")){
                        echo Yii::$app->session->getFlash("info");
                    }
                    ?>
                </div>
                <div class="pagination pull-right">
                <?php echo yii\widgets\LinkPager::widget(['pagination'=>$pager,"prevPageLabel"=>"&#8249;","nextPageLabel"=>"&#8250;"]);?>
                   
                </div>
    </div>
</div>
 <script src="/static/mobile/js/jquery.min.js"></script>
<script type="text/javascript">
    // function confm(id){
    //     alert(id)
    // }
</script>

