<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/29 11:32
 */

/**
 * @var array $config
 */
$name = \common\models\Config::getConfig('CONSUMPTION_NAME');
$name_level = \common\models\Config::getConfig('CONSUMPTION_NAME_LEVEL');
$level = \common\models\Config::getConfig('CONSUMPTION_LEVEL');
?>

<div class="box box-success">
    <div class="box-header with-border">
        合伙人设置
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>
    <div class="box-body">
        <!--        {"isMoney":"1","impose":"1","consumptionRatio":"3","level":{"1":{"ratio":"10","money":"1000","num":"10"},"2":{"ratio":"10","money":"1000","num":"10"},"3":{"ratio":"10","money":"1000","num":"10"},"4":{"ratio":"10","money":"1000","num":"10"},"5":{"ratio":"10","money":"1000","num":"10"},"6":{"ratio":"10","money":"1000","num":"10"},"7":{"ratio":"10","money":"1000","num":"10"},"8":{"ratio":"10","money":"1000","num":"10"},"9":{"ratio":"10","money":"1000","num":"10"}}}-->
        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">是否千返</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <label class="radio-inline">
                    <input type="radio" name="config[isMoney]"
                           value="1" <?= (empty($config['isMoney']) || $config['isMoney'] == '1') ? 'checked' : '' ?>>
                    开启
                </label>
                <label class="radio-inline">
                    <input type="radio" name="config[isMoney]"
                           value="0" <?= @$config['isMoney'] == '0' ? 'checked' : '' ?>> 关闭
                </label>
                <div class="help-block">是否开启千返模式</div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">人数限制</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <label class="radio-inline">
                    <input type="radio" name="config[impose]"
                           value="1" <?= (empty($config['impose']) || $config['impose'] == '1') ? 'checked' : '' ?>> 开启
                </label>
                <label class="radio-inline">
                    <input type="radio" name="config[impose]"
                           value="0" <?= @$config['impose'] == '0' ? 'checked' : '' ?>> 关闭
                </label>
                <div class="help-block">人数限制开启则设置合伙人人数</div>
            </div>

        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">消费返比</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">按消费额的</span>
                    <input name="config[returnConsum]" value="<?= @$config['returnConsum'] ?>" class="form-control"
                           placeholder="请输入整数">
                    <span class="input-group-addon">%</span>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">提现手续费</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">按消费额的</span>
                    <input name="config[withdrfee]" value="<?= @$config['withdrfee'] ?>" class="form-control"
                           placeholder="请输入整数">
                    <span class="input-group-addon">%</span>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">兑换手续费</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">按消费额的</span>
                    <input name="config[exchangefee]" value="<?= @$config['exchangefee'] ?>" class="form-control"
                           placeholder="请输入整数">
                    <span class="input-group-addon">%</span>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">兑换志愿者</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">按消费额的</span>
                    <input name="config[exchangevol]" value="<?= @$config['exchangevol'] ?>" class="form-control"
                           placeholder="请输入整数">
                    <span class="input-group-addon">%</span>
                </div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">消费额提成</label>
            <div class="col-xs-12 col-sm-8 col-md-10 col-lg-8">
                <div class="input-group">
                    <span class="input-group-addon">消费总提成</span>
                    <input name="config[consumptionRatio]" value="<?= @$config['consumptionRatio'] ?>"
                           class="form-control" placeholder="请输入提成比例">
                    <span class="input-group-addon">%提成比例</span>
                </div>
                <!--                {"isMoney":"0","impose":"0","consumptionRatio":"1","ratio":{"1":"1","2":"10","3":"20"},"level":{"11":{"ratio":"2","money":"3","num":"4"},"12":{"ratio":"5","money":"6","num":"7"},"13":{"ratio":"40","money":"600000","num":"100"},"21":{"ratio":"35","money":"400000","num":"1000"},"22":{"ratio":"30","money":"200000","num":"1000"},"23":{"ratio":"25","money":"100000","num":"1000"},"31":{"ratio":"20","money":"80000","num":"1000"},"32":{"ratio":"15","money":"60000","num":"1000"},"33":{"ratio":"10","money":"40000","num":"1000"}}}-->
                <?php foreach ($name as $k => $v): ?>
                    <div class="input-group">
                        <span class="input-group-addon"><?= $name[$k] ?>总提成</span>
                        <input name="config[ratio][<?= $k ?>]" value="<?= @$config['ratio'][$k] ?>" class="form-control"
                               placeholder="请输入提成比例">
                        <span class="input-group-addon">%提成比例</span>
                    </div>

                <?php endforeach; ?>

                <div class="help-block">请输入整数，不需要百分号</div>
            </div>
        </div>

        <div class="form-group">
            <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">合伙人设置</label>
            <div class="form-group">
                <div class="col-xs-6">
                    <?php foreach ($level as $k => $v): ?>
                        <div class="input-group">
                            <span
                                class="input-group-addon"><?= $name[substr($k, 0, 1)] . $name_level[substr($k, 1, 1)] ?>
                                拿取</span>
                            <input name="config[level][<?= $k ?>][ratio]" value="<?= @$config['level'][$k]['ratio'] ?>"
                                   class="form-control" placeholder="请输入提成">
                            <span class="input-group-addon">%提成比例，所需金额</span>
                            <input name="config[level][<?= $k ?>][money]" value="<?= @$config['level'][$k]['money'] ?>"
                                   class="form-control" placeholder="请输入金额">
                            <span class="input-group-addon">元，合伙人人数</span>
                            <input name="config[level][<?= $k ?>][num]" value="<?= @$config['level'][$k]['num'] ?>"
                                   class="form-control" placeholder="请输入人数">
                            <span class="input-group-addon">人</span>
                        </div>
                    <?php endforeach; ?>
                    <div class="help-block">数量要求整数，提成比例是百分多少</div>
                </div>
            </div>
        </div>
    </div>
</div>
