<?php
/**
 * 前端会员添加编辑
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * @createtime: 2017/8/17 18:42
 */

use backend\widgets\MyActiveForm;
use common\helpers\MyHtml;
use yii\helpers\Html;

/**
 * @var $model common\models\User
 */
$data = [
    // 1 => '董事长',
    2 => '销售经理',
    3 => '财务经理',
    4 => '市场经理',
    5 => '拓展经理',
    6 => '人事经理',
    7 => '运营经理',
    8 => '客户经理',
    9 => '行政经理',
];
?>
<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="tab-pane active">
            <div class="box-body">
                <?php 
                $form = MyActiveForm::begin(); 
                ?>
                <?= $form->field($model, 'uid')->textInput(['placeholder' => '请输入会员UID', 'maxlength' => 15]); ?>
                <?= $form->field($model, 'realname')->textInput(['placeholder' => '请输入会员真实姓名']); ?>
                <?= $form->field($model, 'mobile')->textInput(['placeholder' => '请输入11位手机号', 'maxlength' => 11]); ?>
                <?= $form->field($model, 'idcard')->textInput(['placeholder' => '请输入用户身份证号',]); ?>
                <?= $form->field($model, 'bank_card')->textInput(['placeholder' => '请输入用户银行卡号',]); ?>
                <?= $form->field($model, 'bank_address')->textInput(['placeholder' => '请输入用户银行地址',]); ?>
                <?= $form->field($model, 'report_price')->textInput(['placeholder' => '请输入代理金额',]); ?>
                <?= $form->field($model, 'report')->radioList([0 => '否', 1 => '是'], ['item' => [MyHtml::class, 'radioListItem']])->label('否借款销售中心'); ?>
                <?= $form->field($model, 'gender')->radioList([0 => '女', 1 => '男'], ['item' => [MyHtml::class, 'radioListItem']])->label('性别'); ?>
                <?= $form->field($model, 'lv')->radioList($data, ['item' => [MyHtml::class, 'radioListItem']])->label('代理等级'); ?>
                <?= $form->field($models, 'realname')->textInput(['readonly' => 'readonly',]); ?>
                <input type="hidden" name="pid" value="<?php echo $models->uid;?>">
                
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-5">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-primary']) ?>
                    </div>
                </div>
                <?php MyActiveForm::end(); ?>
            </div>
        </div>
    </div>
</div>
