<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use common\models\User;
use yii\helpers\Html;
use yii\helpers\Url;
use common\helpers\Utils;
?>
<style>
    .table th,.table td{
        text-align: center;
    }
</style>

<div class="box box-success">
    <div class="box-header with-border">
        <div class="box-tools pull-right">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
        </div>
    </div>

    <div class="box-body">
        <form class="form-horizontal" method="get">
            <div class="form-group">
                <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                <div class="col-xs-12 col-sm-5">
                    <input type="hidden" name="r" value="user/real-name">
                    <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                           placeholder="销售名、登录名">
                </div>
                <button type="submit" class="btn btn-info">搜索</button>
            </div>

        </form>

    </div>
</div>
<div class="nav-tabs-custom">
    <div class="tab-content">
        <div class="row-fluid table">
            <table class="table table-hover" >
                <thead>
                <tr align="center">
                    <th class="span2">
                        <span class="line"></span>ID
                    </th>
                    <th class="span2" >
                        <span class="line"></span>销售中心ID
                    </th>
                    <th class="span2" >
                        <span class="line"></span>销售中心姓名
                    </th>
                    <th class="span2" >
                        <span class="line"></span>销售UID
                    </th>

                    <th class="span2">
                        <span class="line"></span>销售人姓名
                    </th>

                    <th class="span2">
                        <span class="line"></span>销售名
                    </th>
                    <th class="span2">
                        <span class="line"></span>登录名
                    </th>
                    <th class="span3">
                        <span class="line"></span>价格
                    </th>
                    <th class="span3">
                        <span class="line"></span>凭证
                    </th>

                    <th class="span2">
                        <span class="line"></span>状态
                    </th>
                    <th class="span2">
                        <span class="line"></span>备注
                    </th>


                    <!--  <th class="span2">
                         <span class="line"></span>开户行地址
                     </th> -->

                    <th class="span2">
                        <span class="line"></span>申请时间
                    </th>
                    <th class="span2">
                        <span class="line"></span>操作
                    </th>

                </tr>
                </thead>
                <tbody>
                <?php foreach($list as $k => $sholdernum): ?>


                    <!-- row -->
                    <tr class="first">
                        <td>
                            <?php echo $sholdernum->id; ?>
                        </td>

                        <td>
                            <?php echo $sholdernum->report_uid; ?>

                        </td>
                        <td>
                            <?php
                            $user = \common\models\Proxy::findOne($sholdernum->report_uid);
                            echo  $user['org_name'];
                            //                                echo $sholdernum->uid;
//                            $luser=User::find()->select("username")->where("uid=:uid", [':uid' => $sholdernum->uid])->one();
//                            $username=$luser['username']?$luser['username']:"未添加";
//                            echo $username;
                            ?>

                        </td>
                        <td>
                            <?php
                            echo $sholdernum->uid;
//                            $luser=User::find()->select("accountname")->where("uid=:uid", [':uid' => $sholdernum->uid])->one();
//                            $accountname=$luser['accountname']?$luser['accountname']:"未添加";
//                            echo $accountname;
                            ?>

                        </td>

                        <td>
                            <?php
                            $user = \common\models\User::findOne($sholdernum->uid);
                            echo $user['realname'];
                            ?>

                        </td>

                        <td>
                            <?php
                            $user = \common\models\User::findOne($sholdernum->uid);
                            echo $user['username'];
                            ?>
                        </td>
                        <td>
                            <?php
                            $user = \common\models\User::findOne($sholdernum->uid);
                            echo $user['accountname'];
                            ?>
                        </td>
                        <td>
                            <?php echo $sholdernum->price; ?>
                        </td>

                        <td>
                            <?php
                            $imgs=explode("+",$sholdernum->thumb);
                            foreach ($imgs as $v){
                               echo  Html::img(Utils::toMedia($v), ['alt'=>'myImage','class'=>'img-rectangle','width'=>'50','height'=>'100']);
                            }
                            ?>
                        </td>

                        <td >
                            <?php
                            if($sholdernum->status==4){
                                echo "<span>销售中心待审核</span>";
                            }elseif($sholdernum->status==1){
                                echo "<span> 财务待审核</span>";
                            } elseif($sholdernum->status==2){
                                echo "<span >审核通过</span>";
                            } elseif($sholdernum->status==3){
                                echo "<span '>财务已驳回</span>";
                            }else{
                                echo "<span >未知操作</span>";
                            }

                            ?>
                        </td>

                        <td>
                            <?php
                                echo $sholdernum->remarks;
                            ?>
                        </td>

                        <td>
                            <?php echo date("Y-m-d H:i:s",$sholdernum->created_at); ?>
                        </td>
                        <td>
                            <?php
//                              echo  Html::a('审核', ["user/real-update",'id'=>$sholdernum->id], ['class' => 'profile-link']);
                        echo ($sholdernum->status == 1) ? Html::a('同意', Url::toRoute(['user/real-update', 'id' => $sholdernum->id]), ['class' => 'btn btn-sm btn-warning', 'onclick' => "return confirm('确认同意该订单吗？');return false;"]) : '';
                            echo ($sholdernum->status == 1) ? Html::a('拒绝', Url::toRoute(['user/real-reject', 'id' => $sholdernum->id]), ['class' => 'btn btn-sm btn-warning', 'title' => '驳回原因', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']) : '';

                            ?>


                        </td>
                    </tr>
                <?php endforeach; ?>

                </tbody>
            </table>
            <?php
            if(Yii::$app->session->getFlash("info")){
                echo Yii::$app->session->getFlash("info");
            }
            ?>
        </div>
        <div class="pagination pull-right">
            <?php echo yii\widgets\LinkPager::widget(['pagination'=>$pager,"prevPageLabel"=>"&#8249;","nextPageLabel"=>"&#8250;"]);?>

        </div>
    </div>
</div>
<script src="/static/mobile/js/jquery.min.js"></script>
<script type="text/javascript">
    // function confm(id){
    //     alert(id)
    // }
</script>

<link href="/admin/static/css/viewer.min.css" rel="stylesheet">
<script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
<script type="text/javascript" src="/admin/static/js/viewer.min.js"></script>



<script>
    $(function(){
        // var aaa= $(".img-rectangle").attr("src");
        // console.log(aaa)
//         $('.img-rectangle').each(function() {
//             var str = $(this).attr('src');
//             if(str.indexOf("+") != -1){
//                 // /console.log(str);
//                 var imgArray=str.split("+");
//                 //console.log(imgArray);
//                 var url = window.location.host;
//                 // /console.log(url);
//                 for (ind in imgArray){
//                    //console.log(imgArray[ind]);
//                    if(ind>0){
//                     url+=imgArray[ind];
//                      console.log(url);
//                      $(this).append("<img src=''/>).attr("src",url)
//                    }
//                    $(this).attr('src',imgArray[ind])
//                     //aa+=item+"cnblogs";
//                 }
// 
//             }
//             
//         })
        $(".img-rectangle").on("click",function(){
            $(".img-rectangle").parent().parent().attr('id','');
            $(this).parent().parent().attr('id','viewerBox');
            var viewer = new Viewer(document.getElementById('viewerBox'), {
                toolbar:true,
                inline:false,
                navbar:false,
                zoomable:false,
                title:false,
                navbar :true,
                scalable:false,
                movable:false
                // zoomable:true    
            });
            
        })
        
    })
   
</script>