<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */
use backend\widgets\grid\MyActionColumn;
use backend\widgets\grid\MyGridView;
use common\widgets\daterangepicker\DateRangePicker;
use yii\data\ActiveDataProvider;
use common\models\User;
use yii\helpers\Html;
use yii\helpers\Url;
?>
<style>
.table th,.table td{
    text-align: center;
}
</style>

 <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>

            <div class="box-body">
                <form class="form-horizontal" method="get">
                    <div class="form-group">
                        <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                        <div class="col-xs-12 col-sm-5">
                            <input type="hidden" name="r" value="user/ye-wu-confirm">
                            <input type="text" class="form-control" name="keywords" value="<?= $keywords ?>"
                                   placeholder="销售名、登录名">
                        </div>
                        <button type="submit" class="btn btn-info">搜索</button>
                    </div>

<!--                    <div class="form-group">-->
<!--                        <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>-->
<!--                        <div class="col-xs-12 col-sm-5">-->
<!--                            <button type="submit" class="btn btn-info">搜索</button>-->
<!---->
<!--                        </div>-->
<!--                    </div>-->

                </form>

                <?= Html::beginForm(['user/report-confirm'], 'get', ['class' => 'form-horizontal']) ?>

                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('导出全部报单列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'exports']); ?>
                    </div>
                   <!--  <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6e">
                        <?= Html::submitButton('导出本页报单列表', ['class' => 'btn btn-primary pull-right', 'name' => 'op', 'value' => 'export']); ?>
                    </div> -->

                </div>
                <?= Html::endForm() ?>
            </div>
        </div>
<div class="nav-tabs-custom">
    <div class="tab-content">
           <div class="row-fluid table">
                    <table class="table table-hover" >
                        <thead>
                            <tr align="center">
                                <th class="span2">
                                    <span class="line"></span>ID
                                </th>
                                <th class="span2" >
                                    <span class="line"></span>姓名
                                </th>
                                <th class="span2" >
                                    <span class="line"></span>销售名
                                </th>
                                <th class="span2" >
                                    <span class="line"></span>登录名
                                </th>

                                <th class="span2">
                                    <span class="line"></span>是否自动排序
                                </th>

                                <th class="span2">
                                    <span class="line"></span>组号
                                </th>
                                <th class="span2">
                                    <span class="line"></span>组位置
                                </th>

                                <th class="span3">
                                    <span class="line"></span>手机号
                                </th>
                                <th class="span3">
                                    <span class="line"></span>价格
                                </th>
                                <th class="span2">
                                    <span class="line"></span>状态
                                </th>
                                <th class="span2">
                                    <span class="line"></span>快递状态
                                </th>

                               
                               <!--  <th class="span2">
                                    <span class="line"></span>开户行地址
                                </th> -->

                                <th class="span2">
                                    <span class="line"></span>添加时间
                                </th>
                                <th class="span2">
                                    <span class="line"></span>操作
                                </th>

                            </tr>
                        </thead>
                        <tbody>
                        <?php foreach($sholdernums as $k => $sholdernum): ?>


                        <!-- row -->
                        <tr class="first">
                            <td>
                                <?php echo $sholdernum->id; ?>
                            </td>

                            <td>
                                <?php echo $sholdernum->name; ?>
                                
                            </td>
                            <td>
                                <?php
//                                echo $sholdernum->uid;
                                $luser=User::find()->select("username")->where("uid=:uid", [':uid' => $sholdernum->uid])->one();
                                $username=$luser['username']?$luser['username']:"未添加";
                                echo $username;
                                ?>

                            </td>
                             <td>
                                <?php    $luser=User::find()->select("accountname")->where("uid=:uid", [':uid' => $sholdernum->uid])->one();
                                $accountname=$luser['accountname']?$luser['accountname']:"未添加";
                                echo $accountname;
                                ?>

                            </td>

                            <td>
                                <?php
                                    if($sholdernum->is_auto==1){
                                        echo "是";
                                    }else{
                                        echo "否";
                                    }
                                 ?>

                            </td>

                            <td>
                                <?php echo $sholdernum->team_list; ?>
                            </td>
                            <td>
                                <?php echo $sholdernum->posi; ?>
                            </td>

                            <td>
                                <?php
                                if($sholdernum->mobile){
                                    echo $sholdernum->mobile; 
                                }else{
                                    echo "未添加";
                                }
                                ?>
                            </td>
                            <td >
                               <?php echo $sholdernum->price; ?>
                            </td>
                            <td >
                              <?php 
                              if($sholdernum->status==4){
                                    echo "<span>销售中心待审核</span>";
                              }elseif($sholdernum->status==1){
                                    echo "<span> 财务待审核</span>";
                              } elseif($sholdernum->status==2){
                                    echo "<span >审核通过</span>";
                              } elseif($sholdernum->status==3){
                                  echo "<span '>财务已驳回</span>";
                              }elseif($sholdernum->status==5){
                                    echo "<span >业务部待审核</span>";
                              }else{
                                  echo "<span >未知操作</span>";
                              }
                              ?>
                            </td>
                            
                            <td>
                                <?php 
                              if($sholdernum->goods_status==4){
                                    echo "<span style= 'color:lightgreen;'>已退货</span>";
                              }elseif($sholdernum->goods_status==1){
                                    echo "<span style= 'color:orange;'>已发货</span>";
                              } elseif($sholdernum->goods_status==2){
                                    echo "<span style= 'color:green;'>已收货</span>";
                              }else{
                                    echo "<span style= 'color:lightgreen;'>未发货</span>";
                              }
                              ?>
                            </td>

                            <td>
                                <?php echo date("Y-m-d H:i:s",$sholdernum->created_at); ?>
                            </td>
                            <td>
                            <?php
                                if($sholdernum->status==4){
                                    echo  Html::a('销售中心待审核', "", ['class' => 'profile-link']);   //BackSalle
                                }elseif($sholdernum->status==1){
//                                    echo "<span'>财务待审核</span>";
                                    echo  Html::a('财务待审核', "", ['class' => 'profile-link']);
                                } elseif($sholdernum->status==2){
                                    echo  Html::a('回退', ["user/roll-backs",'id'=>$sholdernum->id], ['class' => 'profile-link']);
                                    echo "&nbsp&nbsp";
                                    echo  Html::a('查看详情', ["user/report-detail",'id'=>$sholdernum->id], ['class' => 'profile-link']);
                                } elseif($sholdernum->status==3){
                                    echo "<span '>财务已驳回</span>";
                                }elseif($sholdernum->status==6) {
                                    echo  Html::a('业务部驳回', "", ['class' => 'profile-link']);

                                }elseif($sholdernum->status==5) {
                                    echo  Html::a('进组', ["user/ye-sec-confirm",'id'=>$sholdernum->id], ['class' => 'profile-link']);
                                    echo "&nbsp&nbsp";
                                    echo  Html::a('回退到销售审核', ["user/back-finance",'id'=>$sholdernum->id], ['class' => 'profile-link']);

                                    echo "&nbsp&nbsp";
//                                    echo  Html::a('驳回', ["user/real-reject",'id'=>$sholdernum->id], ['class' => 'profile-link']);
                                    echo  Html::a('驳回', Url::toRoute(['user/real-reject', 'id' => $sholdernum->id,"redirect_type"=>"yewu"]), ['class' => 'profile-link', 'title' => '驳回原因', 'data-toggle' => 'modal', 'data-target' => '#ajaxModal']);


                                }else{
                                    echo "<span '>未知操作</span>";
                                }
//                                ?>

<!--                                <a href="--><?php //echo yii\helpers\Url::to(["user/roll-backs",'id'=>$sholdernum->id]);?><!--">回退</a>-->
                            </td>
                        </tr>
                       <?php endforeach; ?>

                        </tbody>
                    </table>
                    <?php
                    if(Yii::$app->session->getFlash("info")){
                        echo Yii::$app->session->getFlash("info");
                    }
                    ?>
                </div>
                <div class="pagination pull-right">
                <?php echo yii\widgets\LinkPager::widget(['pagination'=>$pager,"prevPageLabel"=>"&#8249;","nextPageLabel"=>"&#8250;"]);?>
                   
                </div>
    </div>
</div>
 <script src="/static/mobile/js/jquery.min.js"></script>
<script type="text/javascript">
    // function confm(id){
    //     alert(id)
    // }
</script>

