<?php

/**
 * @var $this yii\web\View
 * @var $query yii\db\ActiveQuery
 * @var $searchArr array
 */

use common\widgets\daterangepicker\DateRangePicker;
use yii\helpers\Html;
use yii\helpers\Url;
use common\models\User;
?>

<style>
    .orgchart {
        background-color: #fff;
        margin-right: 20px;
        -webkit-border-radius: 3px;
        -moz-border-radius: 3px;
        border-radius: 3px;
    }

    /*.orgchart>table>tr:nth-child(1){*/
    /*display: none;*/
    /*}*/
    /*.orgchart>table>tr:nth-child(2){*/
    /*display: none;*/
    /*}*/
    /*.orgchart>table>tr:nth-child(3){*/
    /*display: none;*/
    /*}*/
    .orgchart .second-menu-icon {
        transition: opacity .5s;
        opacity: 0;
        right: -5px;
        top: -5px;
        z-index: 2;
        color: rgba(68, 157, 68, 0.5);
        font-size: 18px;
        position: absolute;
    }

    .orgchart .second-menu-icon:hover {
        color: #449d44;
    }

    .orgchart .node:hover .second-menu-icon {
        opacity: 1;
    }

    .orgchart .node {
        font-size: 14px;
        width: 170px;
        text-align: left;
        border: 2px solid;
        -webkit-border-radius: 5px;
        -moz-border-radius: 5px;
        border-radius: 5px;
        margin: 0 5px;
        padding: 0;
    }

    .orgchart .node div {
        padding: 1px 3px;
    }

    .orgchart .node div span {
        width: 70px;
        display: inline-block;
    }

    .orgchart .node .second-menu {
        display: none;
        position: absolute;
        top: 0;
        right: -70px;
        border-radius: 5px;
        box-shadow: 0 0 10px 1px #999;
        background-color: #fff;
        z-index: 1;
    }

    .orgchart .node .second-menu .avatar {
        width: 75px;
        height: 20px;
        color: #000;
        margin: 5px;
        font-size: 14px;
        color: #fff;
    }

    .orgchart .middle-level .name {
        color: #fff;
        background-color: #006699;
    }

    .orgchart .middle-level {
        border-color: #006699;
    }

    .orgchart .product-dept .name {
        background-color: #009933;
        color: #fff;
    }

    .orgchart .product-dept {
        border-color: #009933;
    }

    .orgchart .rd-dept .name {
        background-color: #993366;
        color: #fff;
    }

    .orgchart .rd-dept {
        border-color: #993366;
    }

    .orgchart .pipeline1 .name {
        background-color: #996633;
        color: #fff;
    }

    .orgchart .pipeline1 {
        border-color: #996633;

    }

    .orgchart .frontend1 .name {
        background-color: #cc0066;
    }

    .orgchart .frontend1 {
        border-color: #cc0066;
    }
</style>
<link rel="stylesheet" type="text/css" href="/admin/static/css/H-ui.min.css">  <!--图表样式-->
<!--时间日期选择器开始-->
<!-- <link rel="stylesheet" type="text/css" href="/admin/static/js/skin/WdatePicker.css">
<link rel="stylesheet" type="text/css" href="/admin/static/css/datepicker.css">
<script type="text/javascript" src="/admin/static/js/datepicker.js"></script>
<script type="text/javascript" src="/admin/static/js/WdatePicker.js"></script> -->
<!--时间日期选择器结束-->

<div class="nav-tabs-custom">
    <?= $this->render('_tabs'); ?>
    <div class="tab-content">
        <div class="box box-success">
            <div class="box-header with-border">
                <div class="box-tools pull-right">
                    <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                    </button>
                </div>
            </div>
            <div class="box-body">
               <!--  <?= Html::beginForm(['user/team-lists'], 'get', ['class' => 'form-horizontal']) ?>
                <div class="form-group" style="overflow: hidden">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">关键词</label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::textInput('keywords', $searchArr['keywords'], ['class' => 'form-control', 'placeholder' => "请输入用户id",'maxlength' => 11]); ?>
                        <div class="help-block">请输入关键字</div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label"></label>
                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6">
                        <?= Html::submitButton('提交', ['class' => 'btn btn-success']); ?>
                        <a href="<?= Url::toRoute(['user/team-list']) ?>">
                            <div class="btn btn-default"><i class="glyphicon glyphicon-leaf"></i> 清除筛选</div>
                        </a>

                    </div>
                </div>
                <?= Html::endForm() ?> -->
                <?= Html::beginForm(['user/team-list'], 'get', ['class' =>'form-horizontal']) ?>
                    <!-- <form id="form1" name="form1" method="post" action="http://192.168.1.35:8013/welcomeNew.asp"> -->

                <div class="text-c">日期范围：
                            <!-- <input type="text" onfocus="WdatePicker({maxDate:&#39;#F{$dp.$D(\&#39;datemax\&#39;)||\&#39;%y-%M-%d\&#39;}&#39;})" id="datemin" name="datemin" class="input-text Wdate" style="width:120px;" value=""> -->
                          <!--   <input type="text" id="datemin" name="datemin" value="" placeholder="开始时间" autocomplete="off" class="input-text Wdate" style="width: 150px;" onFocus="WdatePicker({dateFmt:'yyyy-MM-dd HH:mm:ss'})"/> 
                            -
                            <input type="text" onfocus="WdatePicker({minDate:&#39;#F{$dp.$D(\&#39;datemin\&#39;)}&#39;,maxDate:&#39;%y-%M-%d&#39;})" id="datemax" name="datemax" class="input-text Wdate" style="width:120px;" value=""> -->
                               <div class="form-group">
                                    <!-- <label class="col-xs-12 col-sm-3 col-md-2 col-lg-1 control-label">时间</label> -->
                                    <div class="col-xs-12 col-sm-8 col-md-8 col-lg-6" style="width: 35rem;margin-top: 4%;">
                                        <?= DateRangePicker::widget([
                                            'name' => 'date',
                                            'clientOptions' => [
                                                'startDate' => $searchArr['date']['datemin'],
                                                'endDate' => $searchArr['date']['datemax'],
                                            ],
                                            'clientEvents' => [],
                                        ]) ?>
                                    </div>
                                </div>
                            团组ID:<input type="text" class="input-text" style="width:150px" placeholder="创富团队" id="kword" name="id" value="<?php echo $id;?>">&nbsp;
                            账号:<input type="text" class="input-text" style="width:150px" placeholder="账号" id="account" name="accountname" value="<?php echo $accountname;?>">

                    显示前：&nbsp;<input type="number" class="input-text" style="width:65px" placeholder="显示" id="nShow" name="nShow" value="<?php echo $num;?>" min="2" max="50">&nbsp;条

                    <button name="" id="" class="btn btn-success" type="submit"><i class="Hui-iconfont"></i>&nbsp;快速查询</button>
                        </div>
                         <?= Html::endForm() ?>
                    <!-- </form> -->
            </div>

        </div>
        <div id="stem>
            <div id="chart-container">
              
                <table class="table table-border table-bordered table-bg table-hover table-sort dataTable no-footer" id="DataTables_Table_0" role="grid" aria-describedby="DataTables_Table_0_info">
                    <thead>
                        <tr class="text-c" role="row"><th width="" class="sorting_asc" rowspan="1" colspan="1" aria-label="共有创富团队：2 组" style="width: 1235px;">共有创富团队：<strong><?php echo $count;?></strong> 组</th></tr>
                    </thead>
                    <tbody>
                        <?php foreach($teamlist as $k => $teamlist): ?>
                            <tr role="row" class="odd">
                                    <td class="sorting_1">
                                    <table class="table table-border table-bordered table-bg">
                                        <thead>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="10">第 [<b> <?php echo $teamlist['id']; ?>, 新组号：<?php echo date("YmdHis",$teamlist['created_at']); ?>, 摘要：<?php echo $teamlist['id']; ?>-<?php if($teamlist['id']-1<=0){
                                                    echo 0;
                                                }else{
                                                    echo $teamlist['parent_id'];
                                                }?></b>] 组
      											&nbsp&nbsp
      											 <?php if($teamlist['type']==1){
                                                    echo "旧组";
                                                }else{
                                                    echo "新组";

                                                }
                                                ?>
      											</td>
                                            </tr>
                                            <tr class="text-c">
                                              <td width="70" rowspan="4"><strong>管理层<br>（7人）</strong></td>
                                              <td width="120" bgcolor="#fafafa"><strong>位置编号</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>1</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>2</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>3</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>4</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>5</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>6</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>7</strong></td>
                                              
                                              <td bgcolor="#fafafa">&nbsp;</td>
                                          </tr>
                                            <tr class="text-c">
                                              <td width="120"><strong>销售名(登录账号)</strong></td>
                                              
                                              <td>
                                                <?php 
                                                    $one=User::find()->select('username,nickname,username,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid1']])->one();
                                                    $name=$one['username']?$one['username']:$one['realname'];
                                                    $account=$one['accountname']?$one['accountname']:"未添加";
                                                    echo $name."(".$account.")";
                                                ?>
                                              </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,username,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid2']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                    $account=$one['accountname']?$one['accountname']:"未添加";
                                                     echo $name."(".$account.")";
                                                ?>
                                              </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid3']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                              </td>
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid4']])->one();
                                                    $name=$one['username']?$one['username']:$one['realname'];
                                                     $account=$one['accountname']?$one['accountname']:"未添加";
                                                     echo $name."(".$account.")";
                                                ?>
                                              </td>
                                                
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid5']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                              </td>
                                                <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid6']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                     $account=$one['accountname']?$one['accountname']:"未添加";
                                                     echo $name."(".$account.")";
                                                ?>
                                              </td>
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid7']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              <td>&nbsp;</td>
                                          </tr>
                                            <tr class="text-c">
                                              <!-- <td width="120" bgcolor="#fafafa"><strong>云联ID号</strong></td> -->
                                              
                                              <!-- <td bgcolor="#FFFFFF">李月虎</td>
                                              
                                              <td bgcolor="#FFFFFF">李月虎123</td>
                                              
                                              <td bgcolor="#FFFFFF">李秀英3</td>
                                              
                                              <td bgcolor="#FFFFFF">梁和平1962</td>
                                              
                                              <td bgcolor="#FFFFFF">要瑞清</td>
                                              
                                              <td bgcolor="#FFFFFF">云霞霞</td>
                                              
                                              <td bgcolor="#FFFFFF">张桂兰Z</td>
                                              
                                              <td bgcolor="#FFFFFF">&nbsp;</td> -->
                                          </tr>
                                            <tr class="text-c">
                                              <td width="120"><strong>本组职务</strong></td>
                                              <td>组长</td>
                                              <td>副组长</td>
                                              <td>副组长</td>
                                              <td>组员</td>
                                              <td>组员</td>
                                              <td>组员</td>
                                              <td>组员</td>
                                              <td>&nbsp;</td>
                                          </tr>
                                            <tr class="text-c">
                                              <td width="70" rowspan="4"><strong>员工层<br>（8人）</strong></td>
                                              <td width="120" bgcolor="#fafafa"><strong>位置编号</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>8</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>9</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>10</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>11</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>12</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>13</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>14</strong></td>
                                              
                                              <td bgcolor="#fafafa"><strong>15</strong></td>
                                              
                                          </tr>
                                            <tr class="text-c">
                                              <td width="120"><strong>销售名(登录账号)</strong></td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid8']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                     $account=$one['accountname']?$one['accountname']:"未添加";
                                                     echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid9']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid10']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid11']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid12']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid13']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid14']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                    $account=$one['accountname']?$one['accountname']:"未添加";
                                                    echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                              <td>
                                                 <?php 
                                                    $one=User::find()->select('username,nickname,realname,accountname')->where("uid=:uid",[':uid'=>$teamlist['uid15']])->one();
                                                 $name=$one['username']?$one['username']:$one['realname'];
                                                 $account=$one['accountname']?$one['accountname']:"未添加";
                                                 echo $name."(".$account.")";
                                                ?>
                                               </td>
                                              
                                          </tr>
                                            <tr class="text-c">
                                              <!-- <td width="120" bgcolor="#fafafa"><strong>云联ID号</strong></td> -->
                                              
                                             <!--  <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td>
                                              
                                              <td bgcolor="#ffffff"></td> -->
                                              
                                          </tr>
                                            <tr class="text-c">
                                                <!-- <td width="120"><strong>本组职务</strong></td> -->
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                                <td>预备组员</td>
                                                
                                            </tr>
                                        </tbody>
                                    </table>
                                    
                                    </td>
                            </tr>
                        <?php endforeach; ?>
                    
                    </tbody>
                    </table>
                      <div class="pagination pull-right">
                        <?php echo yii\widgets\LinkPager::widget(['pagination'=>$pager,"prevPageLabel"=>"&#8249;","nextPageLabel"=>"&#8250;"]);?>
                    </div>
            </div>

            </div>
           
        </div>
        
    </div>
</div>
<script>
    <?php $this->beginBlock('footerJs') ?>
    requirejs(['orgchart'], function () {

        // $('button.btn-success').click(function () {
        //     var mobile = $('input.form-control').val();
        //     // var arr = /^1\d{10}/;
        //     // if (mobile.length != 11) {
        //     //     alert('请输入正确的手机号');
        //     //     return;
        //     // }
        //     // if (!arr.test(mobile)) {
        //     //     alert('请输入正确的手机号');
        //     //     return;
        //     // }
        //     $('#chart-container').html('');
        //     $('#chart-container').empty();
        //     $.get('/admin/index.php?r=user%2Fteam-lists', {mobile: mobile}, function (res) {
        //         if (res.code == 0) {
        //             $('#chart-container').orgchart({
        //                 'data': res.data.list[0],
        //                 'depth': 4,
        //                 'nodeTemplate': function (data) {
        //                     return '<div class="name"><span>姓名：</span>' + data.name + '</div><div class="mobile"><span>电话：</span>' + data.mobile + '</div><div class="id"><span>ID：</span>' + data.uid + '</div><div class="relation"><span>推荐人ID：</span>' + data.relation + '</div><div class="outs"><span>出局次数：</span>' + data.outs + '</div>';
        //                 },
        //             });
        //             $('.orgchart ').addClass('noncollapsable');
        //         } else if (res.code == 1) {
        //             alert(res.msg);
        //         }
        //     })
        // })

    });
    <?php $this->endBlock() ?>
</script>

