<?php
return [
    'language' => 'zh-CN',
    'timeZone' => 'Asia/Shanghai',
    'vendorPath' => dirname(dirname(__DIR__)) . '/vendor',
    'modules' => [
        'redactor' => [
            'class' => 'backend\components\RedactorModule',
            'uploadDir' => '/uploads',  // 比如这里可以填写 ./uploads
            'uploadUrl' => '@web/uploads',
            'imageAllowExtensions' => ['jpg', 'png', 'gif']
        ],
    ],
//    'log' => [ //设置 flushInterval 和 exportInteval 属性的值为 1 所有日志消息立即导出在日志文件中
//        'flushInterval' => 1,
//        'traceLevel' => YII_DEBUG ? 3 : 0,
//        'targets' => [
//            [ //注释日志目标级别(levels )属性。
//                //所有类别的日志消息(错误，警告，信息，跟踪)将会记录在日志文件中。
//                'class' => 'yii\log\FileTarget',
//                'exportInterval' => 1,
//                'logVars' => [],
//                //'levels' => ['error', 'warning'],
//            ],
//        ],
//    ],

//    'components' => [
//        'cache' => [
//            'class' => 'yii\caching\FileCache',
//            'cachePath' => '@runtime/cache2',
//        ],
//    ],
];
