<?php
/**
 * @author 河南鼎汉软件科技
 * @copyright Copyright (c) 2017 HNDH Software Technology Co., Ltd.
 * createtime: 2017/9/28 20:58
 */

namespace common\models;

use Yii;
use yii\base\Exception;
use yii\behaviors\TimestampBehavior;
use yii\db\ActiveRecord;
use yii\helpers\ArrayHelper;
use yii\web\IdentityInterface;

class Group extends ActiveRecord
{
	
	public static function tableName(){
		return "{{%group}}";
	}	
	//修改页面中的应为
	// public function attributeLabels(){
		
	// }		
	public function rules(){
	  return [
            [['mobile',], 'match', 'pattern' => '/^1[0-9]{10}$/', 'message' => '手机号必须为1开头的11位纯数字'],
			
			[['realname'], 'string', 'max' => 15],
	   ];
	}
	//添加
	public function addmember($data){
			if($this->load($data,"") && $this->validate()){
    			$this->createtime=time();
				$this->pid=$data['pid'];
				$this->realname=$data['User']['realname'];
				$this->mobile=$data['User']['mobile'];
				$this->idcard=$data['User']['idcard'];
				$this->bank_card=$data['User']['bank_card'];
				$this->bank_address=$data['User']['bank_address'];
				$this->report_price=$data['User']['report_price'];
				$this->report=$data['User']['report'];
				$this->gender=$data['User']['gender'];
				$this->lv=$data['User']['lv'];
				$this->uid=$data['User']['uid'];
    		if($this->save(false)){
	    		return true;
	    	}
    		return false;

    	}
	}
	/*根据用户id查询股东数量
	id:用户id
	*/
	public static function shareholderNum($id){
		$num=self::find()->where('pid=:pid',[":pid"=>$id])->count();
		return $num;
	}
}
