<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>注册</title>
    <meta name="description" content="注册">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="Amaze UI"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <link rel="stylesheet" href="/static/mobile/css/sign_up.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
</head>

<body data-type="sign-up">
<script src="/static/mobile/js/theme.js"></script>
<div class="am-g tpl-g">
    <div class="tpl-login">
        <div class="tpl-login-content">
            <div class="tpl-login-title">注册用户</div>
            <span class="tpl-login-content-info">创建一个新的用户</span>
            <form class="am-form tpl-form-line-form">
                <div class="am-form-group">
                    <input type="text" class="tpl-form-input" id="user-mobile" maxlength="11" placeholder="手机号">
                </div>
                <div class="am-form-group">
                    <input type="text" class="tpl-form-input" id="user-referee" maxlength="11" placeholder="推荐人手机号">
                </div>
                <div class="am-form-group" style="position:relative;">
                    <input type="text" class="tpl-form-input" id="user-smscode" maxlength="4" placeholder="请输入验证码">
                    <button type="button" class="am-btn am-btn-xs am-btn-success smscode">获取验证码</button>
                </div>
                <div class="am-form-group">
                    <input type="password" class="tpl-form-input" id="user-pass" placeholder="请输入密码">
                </div>

                <div class="am-form-group">
                    <input type="password" class="tpl-form-input" id="user-repass" placeholder="再次输入密码">
                </div>

                <div class="am-form-group tpl-login-remember-me">
                    <label class="am-checkbox">
                        <input type="checkbox" id="remember-me" checked="checked" value="" data-am-ucheck disabled
                               checked>
                        <label for="remember-me">
                            我已阅读并同意 <a href="javascript:;">《用户注册协议》</a>
                        </label>
                    </label>
                </div>
                <div class="am-cf" style="margin-bottom: 20px;overflow: hidden;">
                    <p>已有账号，去<a href="<?= \yii\helpers\Url::toRoute(['/guagua/auth/login']) ?>">登录</a></p>
                    <p>忘记密码？去<a href="<?= \yii\helpers\Url::toRoute(['/guagua/auth/forgetpass']) ?>">找回密码</a></p>
                </div>
                <div class="am-form-group">
                    <button type="button"
                            class="am-btn am-btn-primary  am-btn-block tpl-btn-bg-color-success  tpl-login-btn register">
                        注册
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script src="/static/mobile/js/userpass.js"></script>

</body>

</html>
