<?php

/** @var object $model */
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="http://develop.dhcc.wang/assets/css/common.css?2.2.36">
    <script src="http://www.jq22.com/demo/jquery-three-linkage-141202215250/js/jquery.min.js"></script>
    <style>
        body {
            background: #f2f2f2;
        }

        .xy_payInfo {
            text-align: center;
        }

        .xy_payPrice {
            line-height: 50px;
        }

        .xy_payForm {
            background: #fff;
            padding: 10px;
            margin-bottom: 10px;
        }

        .xy_groupTitle {
            width: 80px;
            flex-shrink: 0;
            line-height: 40px;
        }

        .xy_formGroup {
            border-bottom: solid 1px #d5d5d5;
        }

        .xy_formGroup input {
            border: none;
            box-shadow: none;
            height: 40px;
            line-height: 40px;
            width: 100%;
        }

        .xy_payForm textarea {
            resize: none;
            width: 100%;
            padding: 5px;
            border: solid 1px #d5d5d5;
        }

        .xy_payForm select {
            width: 100%;
            border: none;
        }

        .xy_flex {
            display: -webkit-flex;
            display: flex;
        }

        .xy_payPrice {
            font-size: 30px;
        }

        .xy_payTitle {
            font-size: 16px;
            margin-bottom: 10px;
        }

        .xy_modelTitle {
            margin-bottom: 10px;
        }

        .xy_payType .xy_groupTitle {
            width: auto;
        }

        .xy_payType input {
            width: 10px;
            border-radius: 50%;
            height: 10px;
            border: solid 1px #d5d5d5;
            flex-shrink: 0;
        }

        .xy_payType .xy_flex {
            -webkit-align-items: center;
            align-items: center;
            -webkit-justify-content: space-between;
            justify-content: space-between;
        }

        button.xy_formUpdate {
            font-size: 1.6rem;
            border: none;
            border-radius: 5px;
            background: #ff0333;
            color: #fff;
            width: 60%;
            line-height: 40px;
            margin: 0 auto;
            display: block;
            margin-top: 50px;
        }

        #content-wrap .liststyle ul {
            max-height: 200px;
            overflow: auto;
        }

        .xy_addressBox .xy_flex {
            -webkit-justify-content: space-between;
            justify-content: space-between;
        }

        .xy_payType input[type=radio]:checked {
            background: #ff0333;
        }

        button.xy_formUpdate {
            width: 40%;
        }

        button.xy_formUpdate:nth-child(2) {
            background: #d5d5d5;
        }

        .hz_form {
            margin-top: 20px;
        }
    </style>
    <script src="http://apps.bdimg.com/libs/jquery/2.1.4/jquery.min.js"></script>
</head>
<body>
<div class="hz_form">
    <div>
        <p class="xy_modelTitle">会员绑定</p>
        <ul class="xy_payForm">
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">会员卡号:</p>
                    <input type="text" name="cardNum" onkeyup="value=value.replace(/[^\d]/g,'')"
                           value="<?= $cardNum ?>">
                </div>
            </li>
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">姓&nbsp;&nbsp;名:</p>
                    <input type="text" name="username">
                </div>
            </li>
            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">会员编号:</p>
                    <input type="text" name="uid" onkeyup="value=value.replace(/[^\d]/g,'')" ">
                </div>
            </li>

            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">手&nbsp;机&nbsp;号:</p>
                    <input type="text" name="mobile" onkeyup="value=value.replace(/[^\d]/g,'')" maxlength="11">
                </div>
            </li>

            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">邮&nbsp;&nbsp;箱 :</p>
                    <input type="text" name="email" maxlength="11">
                </div>
            </li>

            <li>
                <div class="xy_formGroup xy_flex">
                    <p class="xy_groupTitle">地&nbsp;&nbsp;址:</p>
                    <input type="text" name="address" maxlength="11">
                </div>
            </li>
        </ul>
    </div>

    <div class="xy_flex">
        <button class="xy_formUpdate xy_sure">确认</button>
    </div>
</div>
<script>
    $(function () {
        $(".xy_sure").click(function () {
            var card = $("input[name=cardNum]").val();
            var mobile = $("input[name=mobile]").val();
            var address = $("input[name=address]").val();
            var email = $("input[name=email]").val();
            var uid = $("input[name=uid]").val();
            var username = $("input[name=username]").val();

            if (!card) {
                alert("请输入会员卡号");
                return;
            }
            if (!mobile) {
                alert("请输入会员手机号");
                return;
            }
            if (!card) {
                alert("请输入会员姓名");
                return;
            }
            if (!mobile) {
                alert("请输入会员编号");
                return;
            }

            $.post("<?=\yii\helpers\Url::toRoute(['/sp/site/open-card'])?>", {
                cardNum: card,
                mobile: mobile,
                username: username,
                uid: uid,
                email: email,
                address: address
            }, function (res) {
                if (res.code == 0) {
                    alert(res.msg);
                } else {
                    alert(res.msg);
                }
            }, 'json')
        })

    })
</script>


</body>
</html>
