<?php

/* @var $this \yii\web\View */
/* @var $content string */

use frontend\assets\MobileAsset;
use yii\helpers\Html;

MobileAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1,maximum-scale=1, user-scalable=no">
    <meta name="format-detection" content="telephone=no, address=no">
    <link type="text/css" href="//at.alicdn.com/t/font_388047_oph5y28cm90sh5mi.css" rel="stylesheet"/>
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>
<!--< ?= $this->render('_header') ?>-->
<?= $content ?>
<!--< ?= $this->render('_footer') ?>-->
<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
