<?php

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>销售记录</title>
    <meta name="description" content="销售-业绩">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="销售-业绩"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        .ulfox {
            left: 50%;
            margin-left: -159px;
            bottom: 30px
        }
    </style>
</head>

<body data-type="center-job" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="job">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-th-list">业务管理</a></li>
            <li class="am-active">销售记录</li>
        </ol>
        <div class="content con_none">
            <div class="row-content am-cf">
                <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails">
                    <li style="padding: 10px;" v-for="list in joblist.list">
                        <div class="libox">
                            <p>销售人姓名：{{list.realname}}</p>
                            <p>电话：{{list.mobile}}</p>
                            <p>uid：{{list.uid}}</p>
                            <p>订单编号：{{list.id}}</p>
                            <p>金额：{{list.price}}</p>
                            <p>时间：{{list.created_at}}</p>
                        </div>
                    </li>
                </ul>
            </div>
            <ul data-am-widget="pagination" class="am-pagination am-pagination-default am-vertical-align-bottom">
                <li class="am-pagination-first am-btn-xs">
                    <a @click="Firstpage" class="">第一页</a>
                </li>
                <li class="am-pagination-prev am-btn-xs">
                    <a @click="Prevpage" class="">上一页</a>
                </li>
                <li class="am-btn-xs"><a class="">{{page}}/{{joblist.page}}</a></li>
                <li class="am-pagination-next am-btn-xs">
                    <a @click="Nextpage" class="">下一页</a>
                </li>
                <li class="am-pagination-last am-btn-xs">
                    <a @click="Lastpage" class="">最末页</a>
                </li>
            </ul>
        </div>

    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    if ($(window).width() < 614) {
        $('ul.am-pagination').removeClass('ulfox');
    } else {
        $('ul.am-pagination').addClass('ulfox');
    }
    ;
    $.post("/team-report/performance", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var job = new Vue({
                el: '#job',
                data: {
                    joblist: res.data,
                    page: 1
                },
                methods: {
                    Firstpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/performance", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = 1;
                                this.joblist = res.data;
                            }
                        })
                    },
                    Prevpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/performance", {
                            page: this.page -= 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.joblist = res.data;
                            }
                        })
                    },
                    Nextpage: function () {
                        if (this.page >= this.joblist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/performance", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.joblist = res.data;
                            }
                        })
                    },
                    Lastpage: function () {
                        if (this.page >= this.joblist.page) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/performance", {
                            page: this.joblist.page,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = this.joblist.page;
                                this.joblist = res.data;
                            }
                        })
                    }
                },
                mounted: function () {
                    $('.content').show()
                }
            })
        } else if (res.code == 1) {
            $('.content').show().html('您还没有任何销售记录！').css({'line-height': '50px', 'text-indent': '10px'})
        }

    })
</script>
</body>

</html>
