<?php
/**
 * @var string $cardNum
 * @var string $price
 */

?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>首页</title>
    <meta name="description" content="联系我们">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="联系我们"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        ul.list {
            padding: 20px;
        }

        ul.list li {
            padding: 15px 0;
            border-bottom: 1px solid #F4F6F9;
        }

        ul.list li:hover {
            background: #F4F6F9;
        }

        ul.list li p {
            margin: 0;
        }

        table {
            display: none;
        }
    </style>
</head>

<body data-type="contact" class="theme-white">
<div class="am-g tpl-g">
    <?= $this->render('sidebar'); ?>
    <!-- 内容区域 -->
    <div id="gua" class="tpl-content-wrapper content">
        <ol class="am-breadcrumb">
            <li><a href="#" class="am-icon-user">个人设置</a></li>
            <li class="am-active">联系我们</li>
        </ol>
        <div class="row-content content am-cf">
            <div class="am-g">
                <div class="widget-body  widget-body-lg am-fr" style="display: none">
                    <article class="am-article">
                        <div class="am-article-hd">
                            <h1 class="am-article-title">{{gua.title}}</h1>
                            <p class="am-article-meta">{{gua.created_at}}</p>
                        </div>
                        <div class="am-article-bd">
                            <p class="am-article-lead" v-html="gua.content"></p>
                        </div>
                    </article>

                </div>
            </div>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)
        })
    });
    $('.content').removeClass('con_none');
    $.post("/user/contact-us", {
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            var gua = new Vue({
                el: '#gua',
                data: {gua: res.data[0]},
                methods: {},
                mounted: function () {
                    setTimeout(function () {
                        $('.widget-body').show();
                    }, 1)
                    $('.content').show()
                }
            })
        } else if (res.code == 1) {
            layer.msg(res.msg, {
                offset: ['300px'],
                time: 1000
            });
        }

    });
</script>
</body>

</html>
