<?php

/**
 * @var $this yii\web\View
 */

?>

<script>
    var room_id = 1;
    var ws = new WebSocket('ws://' + window.location.host + ':8282');

    // 握手登录
    ws.onopen = function (event) {
        console.log('通讯已连接：', event);
    };

    // 监听消息
    ws.onmessage = function (event) {
        console.log(event);
        var data = eval("(" + event.data + ")");
        switch (data['type']) {
            case 'ping':
                ws.send('ok');
                break;
            case 'connect':
                requirejs(['jquery'], function () {
                    ajax('/api/gf/room/join', {'client_id': data.client_id, room_id: room_id}, 'POST', function (data) {
                        console.log(data);
                    })
                });
                break;
            case 'room_user':
                console.log(data);
                break;
        }
    };

    // 监听Socket的关闭
    ws.onclose = function (event) {
        console.warn('通讯已断开', event);
    };

    var ajax = function (url, data, type, callback) {
        $.ajax({
            url: url,
            data: data,
            type: type,
            beforeSend: function (xhr) {
                xhr.setRequestHeader('Authorization', 'eyJ1aWQiOiIyIiwidGltZXN0YW1wIjoxNTEwNjY2MDAzLCJzaWduIjoiNGQxN2I5MWFjMGU3M2M3NGNjODQ2NzRiYTA5ZTEyNWYifQ==');
            },
            success: callback
        });
    }
</script>
