<?php
/**
 * @var string $cardNum
 * @var string $price
 */
?>
<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>销售记录</title>
    <meta name="description" content="销售记录">
    <meta name="keywords" content="index">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="/static/mobile/i/favicon.png">
    <link rel="apple-touch-icon-precomposed" href="/static/mobile/i/app-icon72x72@2x.png">
    <meta name="apple-mobile-web-app-title" content="销售记录"/>
    <script src="/static/mobile/js/echarts.min.js"></script>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/amazeui.datatables.min.css"/>
    <link rel="stylesheet" href="/static/mobile/css/app.css">
    <script src="/static/mobile/js/jquery.min.js"></script>
    <script src="/static/mobile/js/layer/layer.js"></script>
    <script src="/static/mobile/js/vue.js"></script>
    <style>
        .ulfox {
            left: 50%;
            margin-left: -159px;
            bottom: 30px
        }

        .pimg {
            width: 100%;
        }

        .pimg img {
            width: 100%;
            max-width: 300px;
        }
    </style>
</head>
<body data-type="persondata" class="theme-white">
<div class="am-g tpl-g">
    <!-- 头部 -->
    <header>
        <!-- 右侧内容 -->
        <div class="tpl-header-fluid">
            <!-- 侧边切换 -->
            <div class="am-fl tpl-header-switch-button am-icon-list">
                    <span>
                </span>
            </div>
            <!-- 搜索 -->
            <div class="am-fl tpl-header-search">
            </div>
            <!-- 其它功能-->
            <div class="am-fr tpl-header-navbar">
                <ul>
                    <!-- 欢迎语 -->
                    <li class="am-text-sm tpl-header-navbar-welcome">
                        <a href="javascript:;">欢迎你, <span class="nickname"></span> </a>
                    </li>
                    <!-- 退出 -->
                    <li class="am-text-sm sign-out">
                        <a href="javascript:;">
                            <span class="am-icon-sign-out"></span> 退出
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </header>
    <!-- 侧边导航栏 -->
    <div class="left-sidebar">
        <!-- 菜单 -->
        <ul class="sidebar-nav">
            <li class="sidebar-nav-link ">
                <a go-type='index'>
                    <i class="am-icon-home sidebar-nav-link-logo"></i> 首页
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='persondata'>
                    <i class="am-icon-user sidebar-nav-link-logo"></i> 个人资料
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='record' class="active">
                    <i class="am-icon-edit sidebar-nav-link-logo"></i> 销售记录
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='profit'>
                    <i class="am-icon-money sidebar-nav-link-logo"></i> 收益明细
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='account'>
                    <i class="am-icon-user-secret sidebar-nav-link-logo"></i> 账户金额
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='exrecords'>
                    <i class="am-icon-file-text-o sidebar-nav-link-logo"></i> 兑换记录
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='buycar'>
                    <i class="am-icon-car sidebar-nav-link-logo"></i> 购车商城
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='order-list'>
                    <i class="am-icon-shopping-bag sidebar-nav-link-logo"></i> 购买记录
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a go-type='setpass'>
                    <i class="am-icon-lock sidebar-nav-link-logo"></i> 密码管理
                </a>
            </li>
            <li class="sidebar-nav-link">
                <a class="sidebar-nav-sub-title">
                    <i class="am-icon-users sidebar-nav-link-logo"></i> 客户管理
                    <span
                        class="am-icon-chevron-down am-fr am-margin-right-sm sidebar-nav-sub-ico sidebar-nav-sub-ico-rotate"></span>
                </a>
                <ul class="sidebar-nav sidebar-nav-sub">
                    <li class="sidebar-nav-link">
                        <a go-type='structure'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 组织结构
                        </a>
                    </li>
                    <li class="sidebar-nav-link">
                        <a go-type='agency-ask'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 申请区域代理
                        </a>
                    </li>
                    <li class="sidebar-nav-link">
                        <a go-type='myteam'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 我的团队
                        </a>
                    </li>
                    <li class="sidebar-nav-link">
                        <a go-type='share'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 分享列表
                        </a>
                    </li>
                </ul>
            </li>
            <li class="sidebar-nav-link center cen_none">
                <a class="sidebar-nav-sub-title">
                    <i class="am-icon-wpforms sidebar-nav-link-logo"></i> 销售中心
                    <span
                        class="am-icon-chevron-down am-fr am-margin-right-sm sidebar-nav-sub-ico sidebar-nav-sub-ico-rotate"></span>
                </a>
                <ul class="sidebar-nav sidebar-nav-sub">
                    <li class="sidebar-nav-link">
                        <a go-type='center-ask'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 销售申请
                        </a>
                    </li>
                    <li class="sidebar-nav-link">
                        <a go-type='center-search'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 状态查询
                        </a>
                    </li>
                    <li class="sidebar-nav-link">
                        <a go-type='center-job'>
                            <span class="am-icon-angle-right sidebar-nav-link-logo"></span> 销售业绩
                        </a>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <!-- 内容区域 -->
    <div class="tpl-content-wrapper" id="record">
        <div class="shadow .am-vertical-align"
             style="width: 100%;height: 100%;position: absolute;left: 0;top: 0;opacity: 0.1;background:black;">
        </div>
        <div class="content con_none">
            <div class="row-content am-cf">
                <ul class="am-avg-sm-1 am-avg-md-3  am-thumbnails">
                    <li style="padding: 10px;"
                        v-for="list in recordlist.list">
                        <div class="libox">
                            <p>销售人姓名：{{list.name}}</p>
                            <p>编号：{{list.id}}</p>
                            <p>金额：{{list.price}}</p>
                            <p>支付凭证：</p>
                            <p class="pimg"><img :src="list.thumb" alt="" class="am-img-responsive"></p>
                            <p>销售中心ID：{{list.report_uid}}</p>
                            <p>时间：{{list.updated_at}}</p>
                            <p>状态：{{list.status}}</p>
                            <p v-show="list.remark">驳回原因：{{list.remark}}</p>
                        </div>
                    </li>
                </ul>
            </div>
            <ul data-am-widget="pagination" class="am-pagination am-pagination-default am-vertical-align-bottom">
                <li class="am-pagination-first am-btn-xs">
                    <a @click="Firstpage" class="">第一页</a>
                </li>
                <li class="am-pagination-prev am-btn-xs">
                    <a @click="Prevpage" class="">上一页</a>
                </li>
                <li class="am-btn-xs"><a class="">{{page}}/{{recordlist.count}}</a></li>
                <li class="am-pagination-next am-btn-xs">
                    <a @click="Nextpage" class="">下一页</a>
                </li>
                <li class="am-pagination-last am-btn-xs">
                    <a @click="Lastpage" class="">最末页</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<script src="/static/mobile/js/amazeui.min.js"></script>
<script src="/static/mobile/js/app.js"></script>
<script>
    //退出
    $('.sign-out').click(function () {
        $.post("/user/back-login", {
            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
        }, function (res) {
            layer.msg('退出成功，请登录', {
                offset: ['300px'],
                time: 1000
            });
            setTimeout(function () {
                window.location.href = '/auth/login';
            }, 1000)

        })
    });
    $.post("/team-report/report-list", {
        page: 1,
        "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
    }, function (res) {
        if (res.code == 0) {
            $('.content').removeClass('con_none');
            $('.shadow').hide();
            var record = new Vue({
                el: '#record',
                data: {
                    recordlist: res.data,
                    page: 1
                },
                methods: {
                    Firstpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/report-list", {
                            page: 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = 1;
                                this.recordlist = res.data;
                            }
                        })
                    },
                    Prevpage: function () {
                        if (this.page <= 1) {
                            layer.msg('已经是第一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/report-list", {
                            page: this.page - 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page -= 1;
                                this.recordlist = res.data;
                            }
                        })
                    },
                    Nextpage: function () {
                        if (this.page >= this.recordlist.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/report-list", {
                            page: this.page += 1,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.recordlist = res.data;
                            }
                        })
                    },
                    Lastpage: function () {
                        if (this.page >= this.recordlist.count) {
                            layer.msg('已经是最后一页了', {
                                offset: ['300px'],
                                time: 1000
                            });
                            return;
                        }
                        $.post("/team-report/report-list", {
                            page: this.recordlist.count,
                            "<?= Yii::$app->request->csrfParam ?>": "<?= Yii::$app->request->csrfToken ?>",
                        }, res => {
                            if (res.code == 0) {
                                this.page = this.recordlist.count;
                                this.recordlist = res.data;
                            }
                        })
                    }
                }
            })
        } else if (res.code == 1) {
            $('#record').css({
                "background": "url('/static/mobile/img/bg03_02.png') no-repeat center",
                "background-size": "cover"
            })
        }
    })
</script>
</body>
</html>
